CREATE TABLE "Roster" (
    id integer NOT NULL,
    "Student Number" uuid,
    "Student Name" character varying(100),
    "Student Email" mathesar_types.email,
    "Teacher" character varying(100),
    "Teacher Email" mathesar_types.email,
    "Subject" character varying(20),
    "Grade" integer
);

CREATE SEQUENCE "Roster_id_seq"
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;

ALTER SEQUENCE "Roster_id_seq" OWNED BY "Roster".id;

ALTER TABLE ONLY "Roster" ALTER COLUMN id SET DEFAULT nextval('"Roster_id_seq"'::regclass);

INSERT INTO "Roster" VALUES
(1, '9f9b4f81-5d07-4760-acb3-3bd3bccbaa35'::uuid, 'Stephanie Norris', 'stephanienorris@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 43),
(2, '9f9b4f81-5d07-4760-acb3-3bd3bccbaa35'::uuid, 'Stephanie Norris', 'stephanienorris@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 37),
(3, '9f9b4f81-5d07-4760-acb3-3bd3bccbaa35'::uuid, 'Stephanie Norris', 'stephanienorris@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 55),
(4, '9f9b4f81-5d07-4760-acb3-3bd3bccbaa35'::uuid, 'Stephanie Norris', 'stephanienorris@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 41),
(5, '9f9b4f81-5d07-4760-acb3-3bd3bccbaa35'::uuid, 'Stephanie Norris', 'stephanienorris@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 62),
(6, '3617920b-0d5a-4fed-8331-efffce430d0a'::uuid, 'Shannon Ramos', 'shannonramos@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 44),
(7, '3617920b-0d5a-4fed-8331-efffce430d0a'::uuid, 'Shannon Ramos', 'shannonramos@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 56),
(8, '3617920b-0d5a-4fed-8331-efffce430d0a'::uuid, 'Shannon Ramos', 'shannonramos@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 31),
(9, '3617920b-0d5a-4fed-8331-efffce430d0a'::uuid, 'Shannon Ramos', 'shannonramos@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 77),
(10, '3617920b-0d5a-4fed-8331-efffce430d0a'::uuid, 'Shannon Ramos', 'shannonramos@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 40),
(11, '2f23964d-4416-4e4a-aa35-8e917f29d037'::uuid, 'Tyler Harris', 'tylerharris@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 92),
(12, '2f23964d-4416-4e4a-aa35-8e917f29d037'::uuid, 'Tyler Harris', 'tylerharris@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 87),
(13, '2f23964d-4416-4e4a-aa35-8e917f29d037'::uuid, 'Tyler Harris', 'tylerharris@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 30),
(14, '2f23964d-4416-4e4a-aa35-8e917f29d037'::uuid, 'Tyler Harris', 'tylerharris@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 66),
(15, '2f23964d-4416-4e4a-aa35-8e917f29d037'::uuid, 'Tyler Harris', 'tylerharris@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 81),
(16, 'd3af2288-a335-4287-a083-ccedbc4a8087'::uuid, 'Lee Henderson', 'leehenderson@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 59),
(17, 'd3af2288-a335-4287-a083-ccedbc4a8087'::uuid, 'Lee Henderson', 'leehenderson@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 33),
(18, 'd3af2288-a335-4287-a083-ccedbc4a8087'::uuid, 'Lee Henderson', 'leehenderson@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 82),
(19, 'd3af2288-a335-4287-a083-ccedbc4a8087'::uuid, 'Lee Henderson', 'leehenderson@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 95),
(20, 'd3af2288-a335-4287-a083-ccedbc4a8087'::uuid, 'Lee Henderson', 'leehenderson@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 93),
(21, 'ab5081b8-e439-44d3-9192-0d23e9a3977c'::uuid, 'Amber Swanson', 'amberswanson@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 67),
(22, 'ab5081b8-e439-44d3-9192-0d23e9a3977c'::uuid, 'Amber Swanson', 'amberswanson@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 62),
(23, 'ab5081b8-e439-44d3-9192-0d23e9a3977c'::uuid, 'Amber Swanson', 'amberswanson@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 65),
(24, 'ab5081b8-e439-44d3-9192-0d23e9a3977c'::uuid, 'Amber Swanson', 'amberswanson@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 47),
(25, 'ab5081b8-e439-44d3-9192-0d23e9a3977c'::uuid, 'Amber Swanson', 'amberswanson@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 44),
(26, '8008c5de-9019-49f5-a811-9136fa0fe146'::uuid, 'Jeffrey Juarez', 'jeffreyjuarez@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 65),
(27, '8008c5de-9019-49f5-a811-9136fa0fe146'::uuid, 'Jeffrey Juarez', 'jeffreyjuarez@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 57),
(28, '8008c5de-9019-49f5-a811-9136fa0fe146'::uuid, 'Jeffrey Juarez', 'jeffreyjuarez@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 47),
(29, '8008c5de-9019-49f5-a811-9136fa0fe146'::uuid, 'Jeffrey Juarez', 'jeffreyjuarez@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 73),
(30, '8008c5de-9019-49f5-a811-9136fa0fe146'::uuid, 'Jeffrey Juarez', 'jeffreyjuarez@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 49),
(31, '72ec75f1-bb4d-4b8a-b8d1-47de4c9e3814'::uuid, 'Jennifer Carlson', 'jennifercarlson@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 61),
(32, '72ec75f1-bb4d-4b8a-b8d1-47de4c9e3814'::uuid, 'Jennifer Carlson', 'jennifercarlson@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 68),
(33, '72ec75f1-bb4d-4b8a-b8d1-47de4c9e3814'::uuid, 'Jennifer Carlson', 'jennifercarlson@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 68),
(34, '72ec75f1-bb4d-4b8a-b8d1-47de4c9e3814'::uuid, 'Jennifer Carlson', 'jennifercarlson@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 43),
(35, '72ec75f1-bb4d-4b8a-b8d1-47de4c9e3814'::uuid, 'Jennifer Carlson', 'jennifercarlson@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 80),
(36, '80e77fa1-7de3-4a16-b7f4-0af97606a996'::uuid, 'Chelsea Smith', 'chelseasmith@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 37),
(37, '80e77fa1-7de3-4a16-b7f4-0af97606a996'::uuid, 'Chelsea Smith', 'chelseasmith@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 95),
(38, '80e77fa1-7de3-4a16-b7f4-0af97606a996'::uuid, 'Chelsea Smith', 'chelseasmith@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 49),
(39, '80e77fa1-7de3-4a16-b7f4-0af97606a996'::uuid, 'Chelsea Smith', 'chelseasmith@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 75),
(40, '80e77fa1-7de3-4a16-b7f4-0af97606a996'::uuid, 'Chelsea Smith', 'chelseasmith@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 100),
(41, 'd485a3ce-909e-4466-acc2-68287f860cdb'::uuid, 'Dana Webb', 'danawebb@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 87),
(42, 'd485a3ce-909e-4466-acc2-68287f860cdb'::uuid, 'Dana Webb', 'danawebb@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 87),
(43, 'd485a3ce-909e-4466-acc2-68287f860cdb'::uuid, 'Dana Webb', 'danawebb@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 78),
(44, 'd485a3ce-909e-4466-acc2-68287f860cdb'::uuid, 'Dana Webb', 'danawebb@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 34),
(45, 'd485a3ce-909e-4466-acc2-68287f860cdb'::uuid, 'Dana Webb', 'danawebb@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 83),
(46, '9eede0ab-9c09-4ae6-b1f2-6d392c2a664d'::uuid, 'Philip Taylor', 'philiptaylor@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 39),
(47, '9eede0ab-9c09-4ae6-b1f2-6d392c2a664d'::uuid, 'Philip Taylor', 'philiptaylor@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 48),
(48, '9eede0ab-9c09-4ae6-b1f2-6d392c2a664d'::uuid, 'Philip Taylor', 'philiptaylor@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 84),
(49, '9eede0ab-9c09-4ae6-b1f2-6d392c2a664d'::uuid, 'Philip Taylor', 'philiptaylor@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 26),
(50, '9eede0ab-9c09-4ae6-b1f2-6d392c2a664d'::uuid, 'Philip Taylor', 'philiptaylor@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 92),
(51, 'd03ad048-009e-4024-851a-290e37807bf0'::uuid, 'Christopher Bell', 'christopherbell@hotmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 96),
(52, 'd03ad048-009e-4024-851a-290e37807bf0'::uuid, 'Christopher Bell', 'christopherbell@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 74),
(53, 'd03ad048-009e-4024-851a-290e37807bf0'::uuid, 'Christopher Bell', 'christopherbell@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 64),
(54, 'd03ad048-009e-4024-851a-290e37807bf0'::uuid, 'Christopher Bell', 'christopherbell@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 83),
(55, 'd03ad048-009e-4024-851a-290e37807bf0'::uuid, 'Christopher Bell', 'christopherbell@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 90),
(56, '13de355e-5bd8-4678-87a6-a3ecd0c74b96'::uuid, 'Stacy Barnett', 'stacybarnett@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 55),
(57, '13de355e-5bd8-4678-87a6-a3ecd0c74b96'::uuid, 'Stacy Barnett', 'stacybarnett@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 99),
(58, '13de355e-5bd8-4678-87a6-a3ecd0c74b96'::uuid, 'Stacy Barnett', 'stacybarnett@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 70),
(59, '13de355e-5bd8-4678-87a6-a3ecd0c74b96'::uuid, 'Stacy Barnett', 'stacybarnett@hotmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 78),
(60, '13de355e-5bd8-4678-87a6-a3ecd0c74b96'::uuid, 'Stacy Barnett', 'stacybarnett@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 72),
(61, 'b6f51f3d-afa8-4393-b1e9-e7e06e22dd7a'::uuid, 'Mary Carroll', 'marycarroll@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 73),
(62, 'b6f51f3d-afa8-4393-b1e9-e7e06e22dd7a'::uuid, 'Mary Carroll', 'marycarroll@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 87),
(63, 'b6f51f3d-afa8-4393-b1e9-e7e06e22dd7a'::uuid, 'Mary Carroll', 'marycarroll@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 37),
(64, 'b6f51f3d-afa8-4393-b1e9-e7e06e22dd7a'::uuid, 'Mary Carroll', 'marycarroll@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 98),
(65, 'b6f51f3d-afa8-4393-b1e9-e7e06e22dd7a'::uuid, 'Mary Carroll', 'marycarroll@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 57),
(66, 'e781fb6e-94cf-4338-9589-d476ed33e28a'::uuid, 'Susan Hoover', 'susanhoover@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 41),
(67, 'e781fb6e-94cf-4338-9589-d476ed33e28a'::uuid, 'Susan Hoover', 'susanhoover@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 77),
(68, 'e781fb6e-94cf-4338-9589-d476ed33e28a'::uuid, 'Susan Hoover', 'susanhoover@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 48),
(69, 'e781fb6e-94cf-4338-9589-d476ed33e28a'::uuid, 'Susan Hoover', 'susanhoover@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 41),
(70, 'e781fb6e-94cf-4338-9589-d476ed33e28a'::uuid, 'Susan Hoover', 'susanhoover@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 89),
(71, 'c40ebae6-d5b7-4590-9415-4a66a35e0c0c'::uuid, 'Jennifer Park', 'jenniferpark@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 96),
(72, 'c40ebae6-d5b7-4590-9415-4a66a35e0c0c'::uuid, 'Jennifer Park', 'jenniferpark@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 25),
(73, 'c40ebae6-d5b7-4590-9415-4a66a35e0c0c'::uuid, 'Jennifer Park', 'jenniferpark@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 43),
(74, 'c40ebae6-d5b7-4590-9415-4a66a35e0c0c'::uuid, 'Jennifer Park', 'jenniferpark@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 50),
(75, 'c40ebae6-d5b7-4590-9415-4a66a35e0c0c'::uuid, 'Jennifer Park', 'jenniferpark@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 82),
(76, 'dbf91c5f-61cd-4e89-9108-fe084820c215'::uuid, 'Jennifer Ortiz', 'jenniferortiz@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 94),
(77, 'dbf91c5f-61cd-4e89-9108-fe084820c215'::uuid, 'Jennifer Ortiz', 'jenniferortiz@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 26),
(78, 'dbf91c5f-61cd-4e89-9108-fe084820c215'::uuid, 'Jennifer Ortiz', 'jenniferortiz@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 28),
(79, 'dbf91c5f-61cd-4e89-9108-fe084820c215'::uuid, 'Jennifer Ortiz', 'jenniferortiz@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 33),
(80, 'dbf91c5f-61cd-4e89-9108-fe084820c215'::uuid, 'Jennifer Ortiz', 'jenniferortiz@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 98),
(81, '4e9c2a8e-92de-40cc-ae69-1c36e334636a'::uuid, 'Robert Lamb', 'robertlamb@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 89),
(82, '4e9c2a8e-92de-40cc-ae69-1c36e334636a'::uuid, 'Robert Lamb', 'robertlamb@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 99),
(83, '4e9c2a8e-92de-40cc-ae69-1c36e334636a'::uuid, 'Robert Lamb', 'robertlamb@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 55),
(84, '4e9c2a8e-92de-40cc-ae69-1c36e334636a'::uuid, 'Robert Lamb', 'robertlamb@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 32),
(85, '4e9c2a8e-92de-40cc-ae69-1c36e334636a'::uuid, 'Robert Lamb', 'robertlamb@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 83),
(86, 'ae19bc15-e5c6-4368-ba38-57ba0ae49382'::uuid, 'Judy Martinez', 'judymartinez@gmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 99),
(87, 'ae19bc15-e5c6-4368-ba38-57ba0ae49382'::uuid, 'Judy Martinez', 'judymartinez@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 59),
(88, 'ae19bc15-e5c6-4368-ba38-57ba0ae49382'::uuid, 'Judy Martinez', 'judymartinez@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 66),
(89, 'ae19bc15-e5c6-4368-ba38-57ba0ae49382'::uuid, 'Judy Martinez', 'judymartinez@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 83),
(90, 'ae19bc15-e5c6-4368-ba38-57ba0ae49382'::uuid, 'Judy Martinez', 'judymartinez@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 75),
(91, '33d0916d-3652-4447-a817-89a2e1e74ad6'::uuid, 'Christy Meyer', 'christymeyer@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 60),
(92, '33d0916d-3652-4447-a817-89a2e1e74ad6'::uuid, 'Christy Meyer', 'christymeyer@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 90),
(93, '33d0916d-3652-4447-a817-89a2e1e74ad6'::uuid, 'Christy Meyer', 'christymeyer@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 72),
(94, '33d0916d-3652-4447-a817-89a2e1e74ad6'::uuid, 'Christy Meyer', 'christymeyer@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 37),
(95, '33d0916d-3652-4447-a817-89a2e1e74ad6'::uuid, 'Christy Meyer', 'christymeyer@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 78),
(96, '27dc1969-9c26-4383-b53a-1fc8c0f6ea0a'::uuid, 'Evelyn Anderson', 'evelynanderson@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 64),
(97, '27dc1969-9c26-4383-b53a-1fc8c0f6ea0a'::uuid, 'Evelyn Anderson', 'evelynanderson@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 68),
(98, '27dc1969-9c26-4383-b53a-1fc8c0f6ea0a'::uuid, 'Evelyn Anderson', 'evelynanderson@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 49),
(99, '27dc1969-9c26-4383-b53a-1fc8c0f6ea0a'::uuid, 'Evelyn Anderson', 'evelynanderson@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 42),
(100, '27dc1969-9c26-4383-b53a-1fc8c0f6ea0a'::uuid, 'Evelyn Anderson', 'evelynanderson@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 95),
(101, '700df8ab-39c1-4be3-aeeb-bd9d02b3168b'::uuid, 'Bethany Bell', 'bethanybell@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 36),
(102, '700df8ab-39c1-4be3-aeeb-bd9d02b3168b'::uuid, 'Bethany Bell', 'bethanybell@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 62),
(103, '700df8ab-39c1-4be3-aeeb-bd9d02b3168b'::uuid, 'Bethany Bell', 'bethanybell@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 50),
(104, '700df8ab-39c1-4be3-aeeb-bd9d02b3168b'::uuid, 'Bethany Bell', 'bethanybell@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 93),
(105, '700df8ab-39c1-4be3-aeeb-bd9d02b3168b'::uuid, 'Bethany Bell', 'bethanybell@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 73),
(106, 'ac16f1e0-ad98-460f-96ff-364064513e55'::uuid, 'Leslie Hart', 'lesliehart@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 45),
(107, 'ac16f1e0-ad98-460f-96ff-364064513e55'::uuid, 'Leslie Hart', 'lesliehart@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 79),
(108, 'ac16f1e0-ad98-460f-96ff-364064513e55'::uuid, 'Leslie Hart', 'lesliehart@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 57),
(109, 'ac16f1e0-ad98-460f-96ff-364064513e55'::uuid, 'Leslie Hart', 'lesliehart@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 76),
(110, 'ac16f1e0-ad98-460f-96ff-364064513e55'::uuid, 'Leslie Hart', 'lesliehart@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 75),
(111, '5838368b-529a-4509-bc1d-9fb23f967abc'::uuid, 'Carolyn Durham', 'carolyndurham@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 60),
(112, '5838368b-529a-4509-bc1d-9fb23f967abc'::uuid, 'Carolyn Durham', 'carolyndurham@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 28),
(113, '5838368b-529a-4509-bc1d-9fb23f967abc'::uuid, 'Carolyn Durham', 'carolyndurham@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 25),
(114, '5838368b-529a-4509-bc1d-9fb23f967abc'::uuid, 'Carolyn Durham', 'carolyndurham@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 49),
(115, '5838368b-529a-4509-bc1d-9fb23f967abc'::uuid, 'Carolyn Durham', 'carolyndurham@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 69),
(116, '683067a0-0051-44d0-8308-a312dfb15703'::uuid, 'Daniel Martin', 'danielmartin@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 60),
(117, '683067a0-0051-44d0-8308-a312dfb15703'::uuid, 'Daniel Martin', 'danielmartin@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 32),
(118, '683067a0-0051-44d0-8308-a312dfb15703'::uuid, 'Daniel Martin', 'danielmartin@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 75),
(119, '683067a0-0051-44d0-8308-a312dfb15703'::uuid, 'Daniel Martin', 'danielmartin@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 78),
(120, '683067a0-0051-44d0-8308-a312dfb15703'::uuid, 'Daniel Martin', 'danielmartin@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 74),
(121, '83b2df52-5946-4898-9c13-832167945476'::uuid, 'Jessica Jackson', 'jessicajackson@gmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 34),
(122, '83b2df52-5946-4898-9c13-832167945476'::uuid, 'Jessica Jackson', 'jessicajackson@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 78),
(123, '83b2df52-5946-4898-9c13-832167945476'::uuid, 'Jessica Jackson', 'jessicajackson@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 67),
(124, '83b2df52-5946-4898-9c13-832167945476'::uuid, 'Jessica Jackson', 'jessicajackson@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 68),
(125, '83b2df52-5946-4898-9c13-832167945476'::uuid, 'Jessica Jackson', 'jessicajackson@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 88),
(126, 'b5b8f099-f830-44ad-a1d7-b126159beb6f'::uuid, 'Stephanie Mendez', 'stephaniemendez@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 93),
(127, 'b5b8f099-f830-44ad-a1d7-b126159beb6f'::uuid, 'Stephanie Mendez', 'stephaniemendez@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 73),
(128, 'b5b8f099-f830-44ad-a1d7-b126159beb6f'::uuid, 'Stephanie Mendez', 'stephaniemendez@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 27),
(129, 'b5b8f099-f830-44ad-a1d7-b126159beb6f'::uuid, 'Stephanie Mendez', 'stephaniemendez@gmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 41),
(130, 'b5b8f099-f830-44ad-a1d7-b126159beb6f'::uuid, 'Stephanie Mendez', 'stephaniemendez@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 98),
(131, '4eb1522c-a808-42ae-a483-6f6056b09239'::uuid, 'Kevin Griffith', 'kevingriffith@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 54),
(132, '4eb1522c-a808-42ae-a483-6f6056b09239'::uuid, 'Kevin Griffith', 'kevingriffith@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 57),
(133, '4eb1522c-a808-42ae-a483-6f6056b09239'::uuid, 'Kevin Griffith', 'kevingriffith@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 92),
(134, '4eb1522c-a808-42ae-a483-6f6056b09239'::uuid, 'Kevin Griffith', 'kevingriffith@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 82),
(135, '4eb1522c-a808-42ae-a483-6f6056b09239'::uuid, 'Kevin Griffith', 'kevingriffith@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 48),
(136, '21e0c548-f968-40cc-918a-33123259d827'::uuid, 'Debra Johnson', 'debrajohnson@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 38),
(137, '21e0c548-f968-40cc-918a-33123259d827'::uuid, 'Debra Johnson', 'debrajohnson@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 44),
(138, '21e0c548-f968-40cc-918a-33123259d827'::uuid, 'Debra Johnson', 'debrajohnson@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 32),
(139, '21e0c548-f968-40cc-918a-33123259d827'::uuid, 'Debra Johnson', 'debrajohnson@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 32),
(140, '21e0c548-f968-40cc-918a-33123259d827'::uuid, 'Debra Johnson', 'debrajohnson@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 41),
(141, '0bf75ea9-cb37-47a2-95c7-b185f6d2bd8e'::uuid, 'Mark Frazier', 'markfrazier@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 78),
(142, '0bf75ea9-cb37-47a2-95c7-b185f6d2bd8e'::uuid, 'Mark Frazier', 'markfrazier@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 25),
(143, '0bf75ea9-cb37-47a2-95c7-b185f6d2bd8e'::uuid, 'Mark Frazier', 'markfrazier@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 93),
(144, '0bf75ea9-cb37-47a2-95c7-b185f6d2bd8e'::uuid, 'Mark Frazier', 'markfrazier@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 98),
(145, '0bf75ea9-cb37-47a2-95c7-b185f6d2bd8e'::uuid, 'Mark Frazier', 'markfrazier@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 75),
(146, '98f59c29-b740-4be9-b265-7e46e4b7a109'::uuid, 'Jessica Jones', 'jessicajones@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 34),
(147, '98f59c29-b740-4be9-b265-7e46e4b7a109'::uuid, 'Jessica Jones', 'jessicajones@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 46),
(148, '98f59c29-b740-4be9-b265-7e46e4b7a109'::uuid, 'Jessica Jones', 'jessicajones@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 95),
(149, '98f59c29-b740-4be9-b265-7e46e4b7a109'::uuid, 'Jessica Jones', 'jessicajones@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 41),
(150, '98f59c29-b740-4be9-b265-7e46e4b7a109'::uuid, 'Jessica Jones', 'jessicajones@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 97),
(151, '66aa2049-824a-4f7e-8678-aa9804bd9df5'::uuid, 'Brandon Robinson', 'brandonrobinson@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 38),
(152, '66aa2049-824a-4f7e-8678-aa9804bd9df5'::uuid, 'Brandon Robinson', 'brandonrobinson@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 64),
(153, '66aa2049-824a-4f7e-8678-aa9804bd9df5'::uuid, 'Brandon Robinson', 'brandonrobinson@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 53),
(154, '66aa2049-824a-4f7e-8678-aa9804bd9df5'::uuid, 'Brandon Robinson', 'brandonrobinson@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 56),
(155, '66aa2049-824a-4f7e-8678-aa9804bd9df5'::uuid, 'Brandon Robinson', 'brandonrobinson@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 39),
(156, 'c7f5a3d1-c35a-41f4-9e4d-8d179ff33ad8'::uuid, 'Timothy Lowe', 'timothylowe@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 43),
(157, 'c7f5a3d1-c35a-41f4-9e4d-8d179ff33ad8'::uuid, 'Timothy Lowe', 'timothylowe@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 74),
(158, 'c7f5a3d1-c35a-41f4-9e4d-8d179ff33ad8'::uuid, 'Timothy Lowe', 'timothylowe@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 62),
(159, 'c7f5a3d1-c35a-41f4-9e4d-8d179ff33ad8'::uuid, 'Timothy Lowe', 'timothylowe@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 99),
(160, 'c7f5a3d1-c35a-41f4-9e4d-8d179ff33ad8'::uuid, 'Timothy Lowe', 'timothylowe@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 76),
(161, 'a6b57698-3ede-4e5c-9d3c-f7cc6f26a2e6'::uuid, 'Samantha Rivera', 'samantharivera@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 38),
(162, 'a6b57698-3ede-4e5c-9d3c-f7cc6f26a2e6'::uuid, 'Samantha Rivera', 'samantharivera@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 34),
(163, 'a6b57698-3ede-4e5c-9d3c-f7cc6f26a2e6'::uuid, 'Samantha Rivera', 'samantharivera@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 55),
(164, 'a6b57698-3ede-4e5c-9d3c-f7cc6f26a2e6'::uuid, 'Samantha Rivera', 'samantharivera@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 91),
(165, 'a6b57698-3ede-4e5c-9d3c-f7cc6f26a2e6'::uuid, 'Samantha Rivera', 'samantharivera@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 35),
(166, 'dc4e7e39-ff95-4e57-8c72-a34a86cc6fe0'::uuid, 'Matthew Brown', 'matthewbrown@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 37),
(167, 'dc4e7e39-ff95-4e57-8c72-a34a86cc6fe0'::uuid, 'Matthew Brown', 'matthewbrown@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 59),
(168, 'dc4e7e39-ff95-4e57-8c72-a34a86cc6fe0'::uuid, 'Matthew Brown', 'matthewbrown@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 83),
(169, 'dc4e7e39-ff95-4e57-8c72-a34a86cc6fe0'::uuid, 'Matthew Brown', 'matthewbrown@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 100),
(170, 'dc4e7e39-ff95-4e57-8c72-a34a86cc6fe0'::uuid, 'Matthew Brown', 'matthewbrown@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 40),
(171, 'dcec0851-9b24-4e0c-88a9-3f904e181ac2'::uuid, 'Mary Gonzalez', 'marygonzalez@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 30),
(172, 'dcec0851-9b24-4e0c-88a9-3f904e181ac2'::uuid, 'Mary Gonzalez', 'marygonzalez@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 50),
(173, 'dcec0851-9b24-4e0c-88a9-3f904e181ac2'::uuid, 'Mary Gonzalez', 'marygonzalez@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 52),
(174, 'dcec0851-9b24-4e0c-88a9-3f904e181ac2'::uuid, 'Mary Gonzalez', 'marygonzalez@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 94),
(175, 'dcec0851-9b24-4e0c-88a9-3f904e181ac2'::uuid, 'Mary Gonzalez', 'marygonzalez@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 39),
(176, 'dd2a9719-1393-4d2b-84ce-40e81559197a'::uuid, 'Mr. Patrick Weber MD', 'mr.patrickwebermd@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 58),
(177, 'dd2a9719-1393-4d2b-84ce-40e81559197a'::uuid, 'Mr. Patrick Weber MD', 'mr.patrickwebermd@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 31),
(178, 'dd2a9719-1393-4d2b-84ce-40e81559197a'::uuid, 'Mr. Patrick Weber MD', 'mr.patrickwebermd@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 73),
(179, 'dd2a9719-1393-4d2b-84ce-40e81559197a'::uuid, 'Mr. Patrick Weber MD', 'mr.patrickwebermd@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 72),
(180, 'dd2a9719-1393-4d2b-84ce-40e81559197a'::uuid, 'Mr. Patrick Weber MD', 'mr.patrickwebermd@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 51),
(181, '8bdbf14e-d880-4c2b-b5bb-812874a005b9'::uuid, 'Jill Walker', 'jillwalker@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 43),
(182, '8bdbf14e-d880-4c2b-b5bb-812874a005b9'::uuid, 'Jill Walker', 'jillwalker@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 80),
(183, '8bdbf14e-d880-4c2b-b5bb-812874a005b9'::uuid, 'Jill Walker', 'jillwalker@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 25),
(184, '8bdbf14e-d880-4c2b-b5bb-812874a005b9'::uuid, 'Jill Walker', 'jillwalker@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 39),
(185, '8bdbf14e-d880-4c2b-b5bb-812874a005b9'::uuid, 'Jill Walker', 'jillwalker@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 70),
(186, '4f2816f7-e772-4fe4-895e-794d549aaa48'::uuid, 'Jacob Higgins', 'jacobhiggins@hotmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 95),
(187, '4f2816f7-e772-4fe4-895e-794d549aaa48'::uuid, 'Jacob Higgins', 'jacobhiggins@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 88),
(188, '4f2816f7-e772-4fe4-895e-794d549aaa48'::uuid, 'Jacob Higgins', 'jacobhiggins@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 47),
(189, '4f2816f7-e772-4fe4-895e-794d549aaa48'::uuid, 'Jacob Higgins', 'jacobhiggins@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 59),
(190, '4f2816f7-e772-4fe4-895e-794d549aaa48'::uuid, 'Jacob Higgins', 'jacobhiggins@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 53),
(191, '8ecb2b19-037d-473b-8fe9-e87d97a5c04b'::uuid, 'Paula Thompson', 'paulathompson@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 52),
(192, '8ecb2b19-037d-473b-8fe9-e87d97a5c04b'::uuid, 'Paula Thompson', 'paulathompson@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 42),
(193, '8ecb2b19-037d-473b-8fe9-e87d97a5c04b'::uuid, 'Paula Thompson', 'paulathompson@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 98),
(194, '8ecb2b19-037d-473b-8fe9-e87d97a5c04b'::uuid, 'Paula Thompson', 'paulathompson@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 28),
(195, '8ecb2b19-037d-473b-8fe9-e87d97a5c04b'::uuid, 'Paula Thompson', 'paulathompson@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 53),
(196, 'a09cf879-c54a-4259-821f-7341cd567a44'::uuid, 'Tyler Phelps', 'tylerphelps@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 33),
(197, 'a09cf879-c54a-4259-821f-7341cd567a44'::uuid, 'Tyler Phelps', 'tylerphelps@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 91),
(198, 'a09cf879-c54a-4259-821f-7341cd567a44'::uuid, 'Tyler Phelps', 'tylerphelps@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 81),
(199, 'a09cf879-c54a-4259-821f-7341cd567a44'::uuid, 'Tyler Phelps', 'tylerphelps@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 30),
(200, 'a09cf879-c54a-4259-821f-7341cd567a44'::uuid, 'Tyler Phelps', 'tylerphelps@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 86),
(201, 'c0186e72-f1a1-45fc-9a4e-052ace9c1c12'::uuid, 'John Schaefer', 'johnschaefer@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 44),
(202, 'c0186e72-f1a1-45fc-9a4e-052ace9c1c12'::uuid, 'John Schaefer', 'johnschaefer@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 69),
(203, 'c0186e72-f1a1-45fc-9a4e-052ace9c1c12'::uuid, 'John Schaefer', 'johnschaefer@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 80),
(204, 'c0186e72-f1a1-45fc-9a4e-052ace9c1c12'::uuid, 'John Schaefer', 'johnschaefer@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 69),
(205, 'c0186e72-f1a1-45fc-9a4e-052ace9c1c12'::uuid, 'John Schaefer', 'johnschaefer@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 45),
(206, 'cf3393a7-9731-4590-84d6-94e5353c2378'::uuid, 'Eric Kerr', 'erickerr@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 45),
(207, 'cf3393a7-9731-4590-84d6-94e5353c2378'::uuid, 'Eric Kerr', 'erickerr@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 90),
(208, 'cf3393a7-9731-4590-84d6-94e5353c2378'::uuid, 'Eric Kerr', 'erickerr@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 50),
(209, 'cf3393a7-9731-4590-84d6-94e5353c2378'::uuid, 'Eric Kerr', 'erickerr@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 92),
(210, 'cf3393a7-9731-4590-84d6-94e5353c2378'::uuid, 'Eric Kerr', 'erickerr@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 77),
(211, '54614b13-55f0-41eb-87ed-2c61fe1f5e9d'::uuid, 'Mikayla Miller', 'mikaylamiller@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 61),
(212, '54614b13-55f0-41eb-87ed-2c61fe1f5e9d'::uuid, 'Mikayla Miller', 'mikaylamiller@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 30),
(213, '54614b13-55f0-41eb-87ed-2c61fe1f5e9d'::uuid, 'Mikayla Miller', 'mikaylamiller@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 88),
(214, '54614b13-55f0-41eb-87ed-2c61fe1f5e9d'::uuid, 'Mikayla Miller', 'mikaylamiller@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 68),
(215, '54614b13-55f0-41eb-87ed-2c61fe1f5e9d'::uuid, 'Mikayla Miller', 'mikaylamiller@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 41),
(216, 'ca8cdada-9ecc-4da0-98b4-3d05c7ea6850'::uuid, 'Alejandro Lam', 'alejandrolam@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 48),
(217, 'ca8cdada-9ecc-4da0-98b4-3d05c7ea6850'::uuid, 'Alejandro Lam', 'alejandrolam@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 40),
(218, 'ca8cdada-9ecc-4da0-98b4-3d05c7ea6850'::uuid, 'Alejandro Lam', 'alejandrolam@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 40),
(219, 'ca8cdada-9ecc-4da0-98b4-3d05c7ea6850'::uuid, 'Alejandro Lam', 'alejandrolam@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 49),
(220, 'ca8cdada-9ecc-4da0-98b4-3d05c7ea6850'::uuid, 'Alejandro Lam', 'alejandrolam@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 49),
(221, 'f078901e-cc1d-42f3-b301-8a196cbc6794'::uuid, 'Katelyn Ray', 'katelynray@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 60),
(222, 'f078901e-cc1d-42f3-b301-8a196cbc6794'::uuid, 'Katelyn Ray', 'katelynray@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 65),
(223, 'f078901e-cc1d-42f3-b301-8a196cbc6794'::uuid, 'Katelyn Ray', 'katelynray@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 82),
(224, 'f078901e-cc1d-42f3-b301-8a196cbc6794'::uuid, 'Katelyn Ray', 'katelynray@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 70),
(225, 'f078901e-cc1d-42f3-b301-8a196cbc6794'::uuid, 'Katelyn Ray', 'katelynray@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 59),
(226, '50dd4333-8bbd-4a3b-b578-cd7f561cdfe5'::uuid, 'Carla Rivera', 'carlarivera@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 67),
(227, '50dd4333-8bbd-4a3b-b578-cd7f561cdfe5'::uuid, 'Carla Rivera', 'carlarivera@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 70),
(228, '50dd4333-8bbd-4a3b-b578-cd7f561cdfe5'::uuid, 'Carla Rivera', 'carlarivera@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 94),
(229, '50dd4333-8bbd-4a3b-b578-cd7f561cdfe5'::uuid, 'Carla Rivera', 'carlarivera@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 36),
(230, '50dd4333-8bbd-4a3b-b578-cd7f561cdfe5'::uuid, 'Carla Rivera', 'carlarivera@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 51),
(231, 'b63d2e09-6944-4562-96e0-1ef8e0fd2dec'::uuid, 'Larry Alexander', 'larryalexander@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 57),
(232, 'b63d2e09-6944-4562-96e0-1ef8e0fd2dec'::uuid, 'Larry Alexander', 'larryalexander@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 97),
(233, 'b63d2e09-6944-4562-96e0-1ef8e0fd2dec'::uuid, 'Larry Alexander', 'larryalexander@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 89),
(234, 'b63d2e09-6944-4562-96e0-1ef8e0fd2dec'::uuid, 'Larry Alexander', 'larryalexander@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 66),
(235, 'b63d2e09-6944-4562-96e0-1ef8e0fd2dec'::uuid, 'Larry Alexander', 'larryalexander@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 92),
(236, '7b1b8469-49fd-4ff1-926d-d75215863bd8'::uuid, 'Michael Knox', 'michaelknox@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 72),
(237, '7b1b8469-49fd-4ff1-926d-d75215863bd8'::uuid, 'Michael Knox', 'michaelknox@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 65),
(238, '7b1b8469-49fd-4ff1-926d-d75215863bd8'::uuid, 'Michael Knox', 'michaelknox@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 49),
(239, '7b1b8469-49fd-4ff1-926d-d75215863bd8'::uuid, 'Michael Knox', 'michaelknox@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 29),
(240, '7b1b8469-49fd-4ff1-926d-d75215863bd8'::uuid, 'Michael Knox', 'michaelknox@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 83),
(241, '6f0b7c24-73d1-4747-ac0c-7bb774d5dcd4'::uuid, 'Alexander Brown', 'alexanderbrown@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 89),
(242, '6f0b7c24-73d1-4747-ac0c-7bb774d5dcd4'::uuid, 'Alexander Brown', 'alexanderbrown@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 94),
(243, '6f0b7c24-73d1-4747-ac0c-7bb774d5dcd4'::uuid, 'Alexander Brown', 'alexanderbrown@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 93),
(244, '6f0b7c24-73d1-4747-ac0c-7bb774d5dcd4'::uuid, 'Alexander Brown', 'alexanderbrown@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 35),
(245, '6f0b7c24-73d1-4747-ac0c-7bb774d5dcd4'::uuid, 'Alexander Brown', 'alexanderbrown@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 71),
(246, 'f564eced-7f32-4854-a33f-8f936b7274ef'::uuid, 'Anne Sloan', 'annesloan@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 38),
(247, 'f564eced-7f32-4854-a33f-8f936b7274ef'::uuid, 'Anne Sloan', 'annesloan@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 69),
(248, 'f564eced-7f32-4854-a33f-8f936b7274ef'::uuid, 'Anne Sloan', 'annesloan@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 86),
(249, 'f564eced-7f32-4854-a33f-8f936b7274ef'::uuid, 'Anne Sloan', 'annesloan@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 39),
(250, 'f564eced-7f32-4854-a33f-8f936b7274ef'::uuid, 'Anne Sloan', 'annesloan@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 96),
(251, 'a2b0c853-69bb-4130-b515-f52cd987e837'::uuid, 'Linda Thompson', 'lindathompson@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 82),
(252, 'a2b0c853-69bb-4130-b515-f52cd987e837'::uuid, 'Linda Thompson', 'lindathompson@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 88),
(253, 'a2b0c853-69bb-4130-b515-f52cd987e837'::uuid, 'Linda Thompson', 'lindathompson@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 76),
(254, 'a2b0c853-69bb-4130-b515-f52cd987e837'::uuid, 'Linda Thompson', 'lindathompson@gmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 91),
(255, 'a2b0c853-69bb-4130-b515-f52cd987e837'::uuid, 'Linda Thompson', 'lindathompson@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 98),
(256, 'ce91eae2-b555-496a-920b-cafc5794565d'::uuid, 'Billy Bowman', 'billybowman@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 25),
(257, 'ce91eae2-b555-496a-920b-cafc5794565d'::uuid, 'Billy Bowman', 'billybowman@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 41),
(258, 'ce91eae2-b555-496a-920b-cafc5794565d'::uuid, 'Billy Bowman', 'billybowman@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 46),
(259, 'ce91eae2-b555-496a-920b-cafc5794565d'::uuid, 'Billy Bowman', 'billybowman@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 88),
(260, 'ce91eae2-b555-496a-920b-cafc5794565d'::uuid, 'Billy Bowman', 'billybowman@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 45),
(261, '436d02b3-c03c-436d-a78d-fbfe68d4e748'::uuid, 'Melissa Ford', 'melissaford@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 97),
(262, '436d02b3-c03c-436d-a78d-fbfe68d4e748'::uuid, 'Melissa Ford', 'melissaford@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 87),
(263, '436d02b3-c03c-436d-a78d-fbfe68d4e748'::uuid, 'Melissa Ford', 'melissaford@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 55),
(264, '436d02b3-c03c-436d-a78d-fbfe68d4e748'::uuid, 'Melissa Ford', 'melissaford@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 82),
(265, '436d02b3-c03c-436d-a78d-fbfe68d4e748'::uuid, 'Melissa Ford', 'melissaford@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 42),
(266, '192af0eb-06ac-4382-b30a-cff97aec93bf'::uuid, 'Robin Chase', 'robinchase@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 57),
(267, '192af0eb-06ac-4382-b30a-cff97aec93bf'::uuid, 'Robin Chase', 'robinchase@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 42),
(268, '192af0eb-06ac-4382-b30a-cff97aec93bf'::uuid, 'Robin Chase', 'robinchase@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 37),
(269, '192af0eb-06ac-4382-b30a-cff97aec93bf'::uuid, 'Robin Chase', 'robinchase@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 29),
(270, '192af0eb-06ac-4382-b30a-cff97aec93bf'::uuid, 'Robin Chase', 'robinchase@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 90),
(271, 'ed6a8ff8-e119-4e2b-8536-150b1381c128'::uuid, 'Christine Sexton', 'christinesexton@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 100),
(272, 'ed6a8ff8-e119-4e2b-8536-150b1381c128'::uuid, 'Christine Sexton', 'christinesexton@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 26),
(273, 'ed6a8ff8-e119-4e2b-8536-150b1381c128'::uuid, 'Christine Sexton', 'christinesexton@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 77),
(274, 'ed6a8ff8-e119-4e2b-8536-150b1381c128'::uuid, 'Christine Sexton', 'christinesexton@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 70),
(275, 'ed6a8ff8-e119-4e2b-8536-150b1381c128'::uuid, 'Christine Sexton', 'christinesexton@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 80),
(276, '5b5f2fad-39f8-43d5-b0b6-a7b498d91c9a'::uuid, 'Harold Adams', 'haroldadams@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 58),
(277, '5b5f2fad-39f8-43d5-b0b6-a7b498d91c9a'::uuid, 'Harold Adams', 'haroldadams@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 68),
(278, '5b5f2fad-39f8-43d5-b0b6-a7b498d91c9a'::uuid, 'Harold Adams', 'haroldadams@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 87),
(279, '5b5f2fad-39f8-43d5-b0b6-a7b498d91c9a'::uuid, 'Harold Adams', 'haroldadams@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 40),
(280, '5b5f2fad-39f8-43d5-b0b6-a7b498d91c9a'::uuid, 'Harold Adams', 'haroldadams@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 50),
(281, 'e90f49da-228d-465f-b074-5d3257dc7226'::uuid, 'Gabriel Wells', 'gabrielwells@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 85),
(282, 'e90f49da-228d-465f-b074-5d3257dc7226'::uuid, 'Gabriel Wells', 'gabrielwells@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 41),
(283, 'e90f49da-228d-465f-b074-5d3257dc7226'::uuid, 'Gabriel Wells', 'gabrielwells@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 44),
(284, 'e90f49da-228d-465f-b074-5d3257dc7226'::uuid, 'Gabriel Wells', 'gabrielwells@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 61),
(285, 'e90f49da-228d-465f-b074-5d3257dc7226'::uuid, 'Gabriel Wells', 'gabrielwells@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 37),
(286, '1cda3886-5b48-4e06-83c8-1bcf4927ef6a'::uuid, 'Miss Nicole Lawson', 'missnicolelawson@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 27),
(287, '1cda3886-5b48-4e06-83c8-1bcf4927ef6a'::uuid, 'Miss Nicole Lawson', 'missnicolelawson@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 78),
(288, '1cda3886-5b48-4e06-83c8-1bcf4927ef6a'::uuid, 'Miss Nicole Lawson', 'missnicolelawson@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 70),
(289, '1cda3886-5b48-4e06-83c8-1bcf4927ef6a'::uuid, 'Miss Nicole Lawson', 'missnicolelawson@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 86),
(290, '1cda3886-5b48-4e06-83c8-1bcf4927ef6a'::uuid, 'Miss Nicole Lawson', 'missnicolelawson@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 25),
(291, 'df1ac02a-d23f-4350-9d84-fe89e7ad7c6d'::uuid, 'Chelsea Ross', 'chelseaross@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 69),
(292, 'df1ac02a-d23f-4350-9d84-fe89e7ad7c6d'::uuid, 'Chelsea Ross', 'chelseaross@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 95),
(293, 'df1ac02a-d23f-4350-9d84-fe89e7ad7c6d'::uuid, 'Chelsea Ross', 'chelseaross@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 88),
(294, 'df1ac02a-d23f-4350-9d84-fe89e7ad7c6d'::uuid, 'Chelsea Ross', 'chelseaross@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 31),
(295, 'df1ac02a-d23f-4350-9d84-fe89e7ad7c6d'::uuid, 'Chelsea Ross', 'chelseaross@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 45),
(296, 'a88c26f1-5816-46a1-bc86-6e6b81ad19ec'::uuid, 'Michael Padilla', 'michaelpadilla@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 28),
(297, 'a88c26f1-5816-46a1-bc86-6e6b81ad19ec'::uuid, 'Michael Padilla', 'michaelpadilla@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 90),
(298, 'a88c26f1-5816-46a1-bc86-6e6b81ad19ec'::uuid, 'Michael Padilla', 'michaelpadilla@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 90),
(299, 'a88c26f1-5816-46a1-bc86-6e6b81ad19ec'::uuid, 'Michael Padilla', 'michaelpadilla@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 78),
(300, 'a88c26f1-5816-46a1-bc86-6e6b81ad19ec'::uuid, 'Michael Padilla', 'michaelpadilla@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 95),
(301, '11717d76-f86d-42b6-bed5-dfa57062fbc3'::uuid, 'Charles Duran', 'charlesduran@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 63),
(302, '11717d76-f86d-42b6-bed5-dfa57062fbc3'::uuid, 'Charles Duran', 'charlesduran@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 25),
(303, '11717d76-f86d-42b6-bed5-dfa57062fbc3'::uuid, 'Charles Duran', 'charlesduran@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 79),
(304, '11717d76-f86d-42b6-bed5-dfa57062fbc3'::uuid, 'Charles Duran', 'charlesduran@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 43),
(305, '11717d76-f86d-42b6-bed5-dfa57062fbc3'::uuid, 'Charles Duran', 'charlesduran@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 92),
(306, 'b07069c7-bbf3-45b2-bbd6-c82c4bb3ed73'::uuid, 'Brittany Ramos', 'brittanyramos@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 26),
(307, 'b07069c7-bbf3-45b2-bbd6-c82c4bb3ed73'::uuid, 'Brittany Ramos', 'brittanyramos@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 68),
(308, 'b07069c7-bbf3-45b2-bbd6-c82c4bb3ed73'::uuid, 'Brittany Ramos', 'brittanyramos@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 82),
(309, 'b07069c7-bbf3-45b2-bbd6-c82c4bb3ed73'::uuid, 'Brittany Ramos', 'brittanyramos@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 56),
(310, 'b07069c7-bbf3-45b2-bbd6-c82c4bb3ed73'::uuid, 'Brittany Ramos', 'brittanyramos@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 87),
(311, '7e1d7fd3-7ce0-425d-8ae3-ebbfb23dca66'::uuid, 'Ryan Smith', 'ryansmith@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 49),
(312, '7e1d7fd3-7ce0-425d-8ae3-ebbfb23dca66'::uuid, 'Ryan Smith', 'ryansmith@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 82),
(313, '7e1d7fd3-7ce0-425d-8ae3-ebbfb23dca66'::uuid, 'Ryan Smith', 'ryansmith@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 64),
(314, '7e1d7fd3-7ce0-425d-8ae3-ebbfb23dca66'::uuid, 'Ryan Smith', 'ryansmith@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 98),
(315, '7e1d7fd3-7ce0-425d-8ae3-ebbfb23dca66'::uuid, 'Ryan Smith', 'ryansmith@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 28),
(316, 'e236e692-4725-4416-9afc-aa703658ad4c'::uuid, 'Tyler Ramirez', 'tylerramirez@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 68),
(317, 'e236e692-4725-4416-9afc-aa703658ad4c'::uuid, 'Tyler Ramirez', 'tylerramirez@hotmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 46),
(318, 'e236e692-4725-4416-9afc-aa703658ad4c'::uuid, 'Tyler Ramirez', 'tylerramirez@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 30),
(319, 'e236e692-4725-4416-9afc-aa703658ad4c'::uuid, 'Tyler Ramirez', 'tylerramirez@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 79),
(320, 'e236e692-4725-4416-9afc-aa703658ad4c'::uuid, 'Tyler Ramirez', 'tylerramirez@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 72),
(321, '2b888f57-bb72-4054-8197-a8eec7fb956c'::uuid, 'Teresa Rasmussen', 'teresarasmussen@hotmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 42),
(322, '2b888f57-bb72-4054-8197-a8eec7fb956c'::uuid, 'Teresa Rasmussen', 'teresarasmussen@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 77),
(323, '2b888f57-bb72-4054-8197-a8eec7fb956c'::uuid, 'Teresa Rasmussen', 'teresarasmussen@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 65),
(324, '2b888f57-bb72-4054-8197-a8eec7fb956c'::uuid, 'Teresa Rasmussen', 'teresarasmussen@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 86),
(325, '2b888f57-bb72-4054-8197-a8eec7fb956c'::uuid, 'Teresa Rasmussen', 'teresarasmussen@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 56),
(326, '9b6827f5-5979-4c4d-b440-487b206ea2dc'::uuid, 'Emily Smith', 'emilysmith@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 58),
(327, '9b6827f5-5979-4c4d-b440-487b206ea2dc'::uuid, 'Emily Smith', 'emilysmith@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 92),
(328, '9b6827f5-5979-4c4d-b440-487b206ea2dc'::uuid, 'Emily Smith', 'emilysmith@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 25),
(329, '9b6827f5-5979-4c4d-b440-487b206ea2dc'::uuid, 'Emily Smith', 'emilysmith@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 82),
(330, '9b6827f5-5979-4c4d-b440-487b206ea2dc'::uuid, 'Emily Smith', 'emilysmith@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 94),
(331, 'a0c392f7-59b3-4d28-9eb8-346472ffa3de'::uuid, 'Bernard Martinez', 'bernardmartinez@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 79),
(332, 'a0c392f7-59b3-4d28-9eb8-346472ffa3de'::uuid, 'Bernard Martinez', 'bernardmartinez@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 55),
(333, 'a0c392f7-59b3-4d28-9eb8-346472ffa3de'::uuid, 'Bernard Martinez', 'bernardmartinez@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 43),
(334, 'a0c392f7-59b3-4d28-9eb8-346472ffa3de'::uuid, 'Bernard Martinez', 'bernardmartinez@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 90),
(335, 'a0c392f7-59b3-4d28-9eb8-346472ffa3de'::uuid, 'Bernard Martinez', 'bernardmartinez@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 80),
(336, 'f89d2fea-5b8c-450b-8879-f4e1b6633d39'::uuid, 'Jessica Coleman', 'jessicacoleman@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 71),
(337, 'f89d2fea-5b8c-450b-8879-f4e1b6633d39'::uuid, 'Jessica Coleman', 'jessicacoleman@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 26),
(338, 'f89d2fea-5b8c-450b-8879-f4e1b6633d39'::uuid, 'Jessica Coleman', 'jessicacoleman@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 40),
(339, 'f89d2fea-5b8c-450b-8879-f4e1b6633d39'::uuid, 'Jessica Coleman', 'jessicacoleman@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 86),
(340, 'f89d2fea-5b8c-450b-8879-f4e1b6633d39'::uuid, 'Jessica Coleman', 'jessicacoleman@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 73),
(341, 'd2996c32-1ace-4128-b87e-6d9d5c7f49d5'::uuid, 'Mr. Chad Pearson', 'mr.chadpearson@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 65),
(342, 'd2996c32-1ace-4128-b87e-6d9d5c7f49d5'::uuid, 'Mr. Chad Pearson', 'mr.chadpearson@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 50),
(343, 'd2996c32-1ace-4128-b87e-6d9d5c7f49d5'::uuid, 'Mr. Chad Pearson', 'mr.chadpearson@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 43),
(344, 'd2996c32-1ace-4128-b87e-6d9d5c7f49d5'::uuid, 'Mr. Chad Pearson', 'mr.chadpearson@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 38),
(345, 'd2996c32-1ace-4128-b87e-6d9d5c7f49d5'::uuid, 'Mr. Chad Pearson', 'mr.chadpearson@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 30),
(346, '2bf6a0a2-e6ca-409d-801b-4bd4cf4ea71c'::uuid, 'Jennifer Hunter', 'jenniferhunter@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 63),
(347, '2bf6a0a2-e6ca-409d-801b-4bd4cf4ea71c'::uuid, 'Jennifer Hunter', 'jenniferhunter@yahoo.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 98),
(348, '2bf6a0a2-e6ca-409d-801b-4bd4cf4ea71c'::uuid, 'Jennifer Hunter', 'jenniferhunter@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 92),
(349, '2bf6a0a2-e6ca-409d-801b-4bd4cf4ea71c'::uuid, 'Jennifer Hunter', 'jenniferhunter@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 41),
(350, '2bf6a0a2-e6ca-409d-801b-4bd4cf4ea71c'::uuid, 'Jennifer Hunter', 'jenniferhunter@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 46),
(351, '0b4c2474-affd-4fd2-b0fe-796c0fce0eae'::uuid, 'Jamie Kennedy', 'jamiekennedy@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 40),
(352, '0b4c2474-affd-4fd2-b0fe-796c0fce0eae'::uuid, 'Jamie Kennedy', 'jamiekennedy@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 84),
(353, '0b4c2474-affd-4fd2-b0fe-796c0fce0eae'::uuid, 'Jamie Kennedy', 'jamiekennedy@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 68),
(354, '0b4c2474-affd-4fd2-b0fe-796c0fce0eae'::uuid, 'Jamie Kennedy', 'jamiekennedy@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 40),
(355, '0b4c2474-affd-4fd2-b0fe-796c0fce0eae'::uuid, 'Jamie Kennedy', 'jamiekennedy@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 70),
(356, '9fca4bd5-a6a9-4331-84fe-229149d2bbdf'::uuid, 'Robert Sullivan', 'robertsullivan@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 69),
(357, '9fca4bd5-a6a9-4331-84fe-229149d2bbdf'::uuid, 'Robert Sullivan', 'robertsullivan@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 44),
(358, '9fca4bd5-a6a9-4331-84fe-229149d2bbdf'::uuid, 'Robert Sullivan', 'robertsullivan@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 58),
(359, '9fca4bd5-a6a9-4331-84fe-229149d2bbdf'::uuid, 'Robert Sullivan', 'robertsullivan@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 74),
(360, '9fca4bd5-a6a9-4331-84fe-229149d2bbdf'::uuid, 'Robert Sullivan', 'robertsullivan@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 78),
(361, '4cb91c56-5266-4a07-bfb8-330a4a7a808f'::uuid, 'Brian Kim', 'briankim@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 26),
(362, '4cb91c56-5266-4a07-bfb8-330a4a7a808f'::uuid, 'Brian Kim', 'briankim@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 34),
(363, '4cb91c56-5266-4a07-bfb8-330a4a7a808f'::uuid, 'Brian Kim', 'briankim@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 86),
(364, '4cb91c56-5266-4a07-bfb8-330a4a7a808f'::uuid, 'Brian Kim', 'briankim@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 45),
(365, '4cb91c56-5266-4a07-bfb8-330a4a7a808f'::uuid, 'Brian Kim', 'briankim@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 99),
(366, '03a10449-9b78-4b32-82a8-4aef3eab27a2'::uuid, 'Dawn Nicholson', 'dawnnicholson@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 61),
(367, '03a10449-9b78-4b32-82a8-4aef3eab27a2'::uuid, 'Dawn Nicholson', 'dawnnicholson@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 56),
(368, '03a10449-9b78-4b32-82a8-4aef3eab27a2'::uuid, 'Dawn Nicholson', 'dawnnicholson@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 25),
(369, '03a10449-9b78-4b32-82a8-4aef3eab27a2'::uuid, 'Dawn Nicholson', 'dawnnicholson@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 80),
(370, '03a10449-9b78-4b32-82a8-4aef3eab27a2'::uuid, 'Dawn Nicholson', 'dawnnicholson@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 62),
(371, '51e9e226-9d92-49c6-8e0b-3754ba4fa2de'::uuid, 'Alexis Stanton', 'alexisstanton@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 96),
(372, '51e9e226-9d92-49c6-8e0b-3754ba4fa2de'::uuid, 'Alexis Stanton', 'alexisstanton@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 28),
(373, '51e9e226-9d92-49c6-8e0b-3754ba4fa2de'::uuid, 'Alexis Stanton', 'alexisstanton@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 47),
(374, '51e9e226-9d92-49c6-8e0b-3754ba4fa2de'::uuid, 'Alexis Stanton', 'alexisstanton@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 91),
(375, '51e9e226-9d92-49c6-8e0b-3754ba4fa2de'::uuid, 'Alexis Stanton', 'alexisstanton@hotmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 58),
(376, '32bccf57-28b2-4296-b286-965002a8c1f8'::uuid, 'Kelly Huffman', 'kellyhuffman@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 29),
(377, '32bccf57-28b2-4296-b286-965002a8c1f8'::uuid, 'Kelly Huffman', 'kellyhuffman@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 52),
(378, '32bccf57-28b2-4296-b286-965002a8c1f8'::uuid, 'Kelly Huffman', 'kellyhuffman@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 31),
(379, '32bccf57-28b2-4296-b286-965002a8c1f8'::uuid, 'Kelly Huffman', 'kellyhuffman@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 40),
(380, '32bccf57-28b2-4296-b286-965002a8c1f8'::uuid, 'Kelly Huffman', 'kellyhuffman@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 56),
(381, 'e6153646-fa73-49e4-aaa7-b5d32ff2257c'::uuid, 'Christopher Houston', 'christopherhouston@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 95),
(382, 'e6153646-fa73-49e4-aaa7-b5d32ff2257c'::uuid, 'Christopher Houston', 'christopherhouston@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 80),
(383, 'e6153646-fa73-49e4-aaa7-b5d32ff2257c'::uuid, 'Christopher Houston', 'christopherhouston@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 33),
(384, 'e6153646-fa73-49e4-aaa7-b5d32ff2257c'::uuid, 'Christopher Houston', 'christopherhouston@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 68),
(385, 'e6153646-fa73-49e4-aaa7-b5d32ff2257c'::uuid, 'Christopher Houston', 'christopherhouston@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 89),
(386, '91782dcc-876f-4490-b907-83ecfe9fe4d9'::uuid, 'Tracy Rollins', 'tracyrollins@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 94),
(387, '91782dcc-876f-4490-b907-83ecfe9fe4d9'::uuid, 'Tracy Rollins', 'tracyrollins@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 72),
(388, '91782dcc-876f-4490-b907-83ecfe9fe4d9'::uuid, 'Tracy Rollins', 'tracyrollins@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 62),
(389, '91782dcc-876f-4490-b907-83ecfe9fe4d9'::uuid, 'Tracy Rollins', 'tracyrollins@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 28),
(390, '91782dcc-876f-4490-b907-83ecfe9fe4d9'::uuid, 'Tracy Rollins', 'tracyrollins@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 91),
(391, '54d1482d-abf5-4dbb-b6c0-3e57507f9bf1'::uuid, 'David Jones', 'davidjones@hotmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 86),
(392, '54d1482d-abf5-4dbb-b6c0-3e57507f9bf1'::uuid, 'David Jones', 'davidjones@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 40),
(393, '54d1482d-abf5-4dbb-b6c0-3e57507f9bf1'::uuid, 'David Jones', 'davidjones@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 94),
(394, '54d1482d-abf5-4dbb-b6c0-3e57507f9bf1'::uuid, 'David Jones', 'davidjones@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 77),
(395, '54d1482d-abf5-4dbb-b6c0-3e57507f9bf1'::uuid, 'David Jones', 'davidjones@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 71),
(396, '179f14fe-a222-48f6-ad55-f2fd35f4985c'::uuid, 'Carol Jackson', 'caroljackson@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 32),
(397, '179f14fe-a222-48f6-ad55-f2fd35f4985c'::uuid, 'Carol Jackson', 'caroljackson@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 69),
(398, '179f14fe-a222-48f6-ad55-f2fd35f4985c'::uuid, 'Carol Jackson', 'caroljackson@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 69),
(399, '179f14fe-a222-48f6-ad55-f2fd35f4985c'::uuid, 'Carol Jackson', 'caroljackson@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 77),
(400, '179f14fe-a222-48f6-ad55-f2fd35f4985c'::uuid, 'Carol Jackson', 'caroljackson@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 93),
(401, 'eea467da-9e84-4e85-9f5b-05436dad8057'::uuid, 'Pamela Williams', 'pamelawilliams@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 61),
(402, 'eea467da-9e84-4e85-9f5b-05436dad8057'::uuid, 'Pamela Williams', 'pamelawilliams@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 35),
(403, 'eea467da-9e84-4e85-9f5b-05436dad8057'::uuid, 'Pamela Williams', 'pamelawilliams@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 94),
(404, 'eea467da-9e84-4e85-9f5b-05436dad8057'::uuid, 'Pamela Williams', 'pamelawilliams@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 85),
(405, 'eea467da-9e84-4e85-9f5b-05436dad8057'::uuid, 'Pamela Williams', 'pamelawilliams@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 55),
(406, '0f6378bc-6558-4b91-bfb9-20c250b72e8b'::uuid, 'Kiara Jackson', 'kiarajackson@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 54),
(407, '0f6378bc-6558-4b91-bfb9-20c250b72e8b'::uuid, 'Kiara Jackson', 'kiarajackson@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 70),
(408, '0f6378bc-6558-4b91-bfb9-20c250b72e8b'::uuid, 'Kiara Jackson', 'kiarajackson@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 46),
(409, '0f6378bc-6558-4b91-bfb9-20c250b72e8b'::uuid, 'Kiara Jackson', 'kiarajackson@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 69),
(410, '0f6378bc-6558-4b91-bfb9-20c250b72e8b'::uuid, 'Kiara Jackson', 'kiarajackson@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 90),
(411, 'f10c271a-5238-4768-99ce-05076d5d2d2a'::uuid, 'Nicholas Obrien', 'nicholasobrien@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 47),
(412, 'f10c271a-5238-4768-99ce-05076d5d2d2a'::uuid, 'Nicholas Obrien', 'nicholasobrien@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 58),
(413, 'f10c271a-5238-4768-99ce-05076d5d2d2a'::uuid, 'Nicholas Obrien', 'nicholasobrien@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 29),
(414, 'f10c271a-5238-4768-99ce-05076d5d2d2a'::uuid, 'Nicholas Obrien', 'nicholasobrien@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 54),
(415, 'f10c271a-5238-4768-99ce-05076d5d2d2a'::uuid, 'Nicholas Obrien', 'nicholasobrien@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 71),
(416, 'ca316520-ec76-43d5-ae6b-187a39b65720'::uuid, 'Tammy Garza', 'tammygarza@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 81),
(417, 'ca316520-ec76-43d5-ae6b-187a39b65720'::uuid, 'Tammy Garza', 'tammygarza@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 87),
(418, 'ca316520-ec76-43d5-ae6b-187a39b65720'::uuid, 'Tammy Garza', 'tammygarza@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 80),
(419, 'ca316520-ec76-43d5-ae6b-187a39b65720'::uuid, 'Tammy Garza', 'tammygarza@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 46),
(420, 'ca316520-ec76-43d5-ae6b-187a39b65720'::uuid, 'Tammy Garza', 'tammygarza@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 95),
(421, '8e9633fe-181a-4818-a8be-9f6502b10b63'::uuid, 'Madeline Jackson', 'madelinejackson@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 37),
(422, '8e9633fe-181a-4818-a8be-9f6502b10b63'::uuid, 'Madeline Jackson', 'madelinejackson@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 54),
(423, '8e9633fe-181a-4818-a8be-9f6502b10b63'::uuid, 'Madeline Jackson', 'madelinejackson@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 42),
(424, '8e9633fe-181a-4818-a8be-9f6502b10b63'::uuid, 'Madeline Jackson', 'madelinejackson@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 89),
(425, '8e9633fe-181a-4818-a8be-9f6502b10b63'::uuid, 'Madeline Jackson', 'madelinejackson@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 51),
(426, 'c3811472-42d7-40d2-8755-3207861d1000'::uuid, 'Morgan Myers', 'morganmyers@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 29),
(427, 'c3811472-42d7-40d2-8755-3207861d1000'::uuid, 'Morgan Myers', 'morganmyers@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 73),
(428, 'c3811472-42d7-40d2-8755-3207861d1000'::uuid, 'Morgan Myers', 'morganmyers@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 70),
(429, 'c3811472-42d7-40d2-8755-3207861d1000'::uuid, 'Morgan Myers', 'morganmyers@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 54),
(430, 'c3811472-42d7-40d2-8755-3207861d1000'::uuid, 'Morgan Myers', 'morganmyers@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 40),
(431, '619963ed-b732-43b7-b2c7-a020dbf9bf0f'::uuid, 'Craig Bauer', 'craigbauer@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 46),
(432, '619963ed-b732-43b7-b2c7-a020dbf9bf0f'::uuid, 'Craig Bauer', 'craigbauer@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 91),
(433, '619963ed-b732-43b7-b2c7-a020dbf9bf0f'::uuid, 'Craig Bauer', 'craigbauer@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 61),
(434, '619963ed-b732-43b7-b2c7-a020dbf9bf0f'::uuid, 'Craig Bauer', 'craigbauer@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 71),
(435, '619963ed-b732-43b7-b2c7-a020dbf9bf0f'::uuid, 'Craig Bauer', 'craigbauer@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 56),
(436, '9aa8a6d0-a90c-459d-a796-975bd5fc48e2'::uuid, 'Brittney Evans', 'brittneyevans@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 53),
(437, '9aa8a6d0-a90c-459d-a796-975bd5fc48e2'::uuid, 'Brittney Evans', 'brittneyevans@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 44),
(438, '9aa8a6d0-a90c-459d-a796-975bd5fc48e2'::uuid, 'Brittney Evans', 'brittneyevans@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 51),
(439, '9aa8a6d0-a90c-459d-a796-975bd5fc48e2'::uuid, 'Brittney Evans', 'brittneyevans@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 42),
(440, '9aa8a6d0-a90c-459d-a796-975bd5fc48e2'::uuid, 'Brittney Evans', 'brittneyevans@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 55),
(441, '0fb9228b-0f70-469d-a570-ec202a00e903'::uuid, 'Daniel Bridges', 'danielbridges@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 82),
(442, '0fb9228b-0f70-469d-a570-ec202a00e903'::uuid, 'Daniel Bridges', 'danielbridges@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 82),
(443, '0fb9228b-0f70-469d-a570-ec202a00e903'::uuid, 'Daniel Bridges', 'danielbridges@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 83),
(444, '0fb9228b-0f70-469d-a570-ec202a00e903'::uuid, 'Daniel Bridges', 'danielbridges@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 98),
(445, '0fb9228b-0f70-469d-a570-ec202a00e903'::uuid, 'Daniel Bridges', 'danielbridges@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 76),
(446, 'b8f59c51-f4d3-42d9-8f06-cc6fa61128d3'::uuid, 'Lisa Wiggins', 'lisawiggins@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 78),
(447, 'b8f59c51-f4d3-42d9-8f06-cc6fa61128d3'::uuid, 'Lisa Wiggins', 'lisawiggins@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 75),
(448, 'b8f59c51-f4d3-42d9-8f06-cc6fa61128d3'::uuid, 'Lisa Wiggins', 'lisawiggins@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 54),
(449, 'b8f59c51-f4d3-42d9-8f06-cc6fa61128d3'::uuid, 'Lisa Wiggins', 'lisawiggins@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 42),
(450, 'b8f59c51-f4d3-42d9-8f06-cc6fa61128d3'::uuid, 'Lisa Wiggins', 'lisawiggins@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 30),
(451, '41d9eb56-62d3-44ab-926a-7881245e2685'::uuid, 'Alexis Patel', 'alexispatel@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 36),
(452, '41d9eb56-62d3-44ab-926a-7881245e2685'::uuid, 'Alexis Patel', 'alexispatel@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 93),
(453, '41d9eb56-62d3-44ab-926a-7881245e2685'::uuid, 'Alexis Patel', 'alexispatel@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 79),
(454, '41d9eb56-62d3-44ab-926a-7881245e2685'::uuid, 'Alexis Patel', 'alexispatel@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 49),
(455, '41d9eb56-62d3-44ab-926a-7881245e2685'::uuid, 'Alexis Patel', 'alexispatel@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 77),
(456, '5359c892-0d1f-4f83-8dec-469ac1a180d3'::uuid, 'Cassie Morales', 'cassiemorales@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 64),
(457, '5359c892-0d1f-4f83-8dec-469ac1a180d3'::uuid, 'Cassie Morales', 'cassiemorales@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 77),
(458, '5359c892-0d1f-4f83-8dec-469ac1a180d3'::uuid, 'Cassie Morales', 'cassiemorales@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 97),
(459, '5359c892-0d1f-4f83-8dec-469ac1a180d3'::uuid, 'Cassie Morales', 'cassiemorales@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 44),
(460, '5359c892-0d1f-4f83-8dec-469ac1a180d3'::uuid, 'Cassie Morales', 'cassiemorales@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 53),
(461, 'cfdc90f1-2b8b-4bde-a77c-ba2222df1947'::uuid, 'Jessica Collins', 'jessicacollins@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 39),
(462, 'cfdc90f1-2b8b-4bde-a77c-ba2222df1947'::uuid, 'Jessica Collins', 'jessicacollins@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 72),
(463, 'cfdc90f1-2b8b-4bde-a77c-ba2222df1947'::uuid, 'Jessica Collins', 'jessicacollins@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 66),
(464, 'cfdc90f1-2b8b-4bde-a77c-ba2222df1947'::uuid, 'Jessica Collins', 'jessicacollins@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 71),
(465, 'cfdc90f1-2b8b-4bde-a77c-ba2222df1947'::uuid, 'Jessica Collins', 'jessicacollins@gmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 50),
(466, 'd5826915-22df-49f0-b5bd-0a52e2dbcb4e'::uuid, 'Maria Rogers', 'mariarogers@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 79),
(467, 'd5826915-22df-49f0-b5bd-0a52e2dbcb4e'::uuid, 'Maria Rogers', 'mariarogers@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 32),
(468, 'd5826915-22df-49f0-b5bd-0a52e2dbcb4e'::uuid, 'Maria Rogers', 'mariarogers@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 43),
(469, 'd5826915-22df-49f0-b5bd-0a52e2dbcb4e'::uuid, 'Maria Rogers', 'mariarogers@gmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 96),
(470, 'd5826915-22df-49f0-b5bd-0a52e2dbcb4e'::uuid, 'Maria Rogers', 'mariarogers@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 74),
(471, 'ffff20a4-afd8-4ded-9772-56242de6e942'::uuid, 'Andrew Coleman Jr.', 'andrewcolemanjr.@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 54),
(472, 'ffff20a4-afd8-4ded-9772-56242de6e942'::uuid, 'Andrew Coleman Jr.', 'andrewcolemanjr.@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 48),
(473, 'ffff20a4-afd8-4ded-9772-56242de6e942'::uuid, 'Andrew Coleman Jr.', 'andrewcolemanjr.@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 44),
(474, 'ffff20a4-afd8-4ded-9772-56242de6e942'::uuid, 'Andrew Coleman Jr.', 'andrewcolemanjr.@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 28),
(475, 'ffff20a4-afd8-4ded-9772-56242de6e942'::uuid, 'Andrew Coleman Jr.', 'andrewcolemanjr.@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 57),
(476, 'ccfa5d12-c617-4ef3-8637-2ec03e5221f3'::uuid, 'John Franklin', 'johnfranklin@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 81),
(477, 'ccfa5d12-c617-4ef3-8637-2ec03e5221f3'::uuid, 'John Franklin', 'johnfranklin@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 80),
(478, 'ccfa5d12-c617-4ef3-8637-2ec03e5221f3'::uuid, 'John Franklin', 'johnfranklin@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 68),
(479, 'ccfa5d12-c617-4ef3-8637-2ec03e5221f3'::uuid, 'John Franklin', 'johnfranklin@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 45),
(480, 'ccfa5d12-c617-4ef3-8637-2ec03e5221f3'::uuid, 'John Franklin', 'johnfranklin@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 72),
(481, 'e89edcfe-2b97-4fb0-8e98-4e177d39c96a'::uuid, 'Tony Blackburn', 'tonyblackburn@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 37),
(482, 'e89edcfe-2b97-4fb0-8e98-4e177d39c96a'::uuid, 'Tony Blackburn', 'tonyblackburn@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 45),
(483, 'e89edcfe-2b97-4fb0-8e98-4e177d39c96a'::uuid, 'Tony Blackburn', 'tonyblackburn@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 73),
(484, 'e89edcfe-2b97-4fb0-8e98-4e177d39c96a'::uuid, 'Tony Blackburn', 'tonyblackburn@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 69),
(485, 'e89edcfe-2b97-4fb0-8e98-4e177d39c96a'::uuid, 'Tony Blackburn', 'tonyblackburn@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 28),
(486, '7a712f02-7c01-4def-9e5e-3ac337331cee'::uuid, 'Ian Stephens', 'ianstephens@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 76),
(487, '7a712f02-7c01-4def-9e5e-3ac337331cee'::uuid, 'Ian Stephens', 'ianstephens@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 50),
(488, '7a712f02-7c01-4def-9e5e-3ac337331cee'::uuid, 'Ian Stephens', 'ianstephens@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 53),
(489, '7a712f02-7c01-4def-9e5e-3ac337331cee'::uuid, 'Ian Stephens', 'ianstephens@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 48),
(490, '7a712f02-7c01-4def-9e5e-3ac337331cee'::uuid, 'Ian Stephens', 'ianstephens@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 92),
(491, 'ccef9165-78a7-47f7-b7a7-de5e9213c3d9'::uuid, 'Jessica Butler', 'jessicabutler@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 65),
(492, 'ccef9165-78a7-47f7-b7a7-de5e9213c3d9'::uuid, 'Jessica Butler', 'jessicabutler@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 61),
(493, 'ccef9165-78a7-47f7-b7a7-de5e9213c3d9'::uuid, 'Jessica Butler', 'jessicabutler@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 61),
(494, 'ccef9165-78a7-47f7-b7a7-de5e9213c3d9'::uuid, 'Jessica Butler', 'jessicabutler@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 94),
(495, 'ccef9165-78a7-47f7-b7a7-de5e9213c3d9'::uuid, 'Jessica Butler', 'jessicabutler@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 79),
(496, 'b3c41143-6c03-42a2-a451-e7a9adace151'::uuid, 'Reginald May', 'reginaldmay@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 84),
(497, 'b3c41143-6c03-42a2-a451-e7a9adace151'::uuid, 'Reginald May', 'reginaldmay@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 73),
(498, 'b3c41143-6c03-42a2-a451-e7a9adace151'::uuid, 'Reginald May', 'reginaldmay@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 63),
(499, 'b3c41143-6c03-42a2-a451-e7a9adace151'::uuid, 'Reginald May', 'reginaldmay@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 34),
(500, 'b3c41143-6c03-42a2-a451-e7a9adace151'::uuid, 'Reginald May', 'reginaldmay@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 40),
(501, '6a59ca09-41df-4453-98cf-2868cd2e1111'::uuid, 'Nathan Howe', 'nathanhowe@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 61),
(502, '6a59ca09-41df-4453-98cf-2868cd2e1111'::uuid, 'Nathan Howe', 'nathanhowe@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 44),
(503, '6a59ca09-41df-4453-98cf-2868cd2e1111'::uuid, 'Nathan Howe', 'nathanhowe@yahoo.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 44),
(504, '6a59ca09-41df-4453-98cf-2868cd2e1111'::uuid, 'Nathan Howe', 'nathanhowe@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 48),
(505, '6a59ca09-41df-4453-98cf-2868cd2e1111'::uuid, 'Nathan Howe', 'nathanhowe@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 86),
(506, '9ad3795d-fa65-4c67-a36f-0f642c5beb1e'::uuid, 'Amber Knight', 'amberknight@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 60),
(507, '9ad3795d-fa65-4c67-a36f-0f642c5beb1e'::uuid, 'Amber Knight', 'amberknight@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 94),
(508, '9ad3795d-fa65-4c67-a36f-0f642c5beb1e'::uuid, 'Amber Knight', 'amberknight@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 71),
(509, '9ad3795d-fa65-4c67-a36f-0f642c5beb1e'::uuid, 'Amber Knight', 'amberknight@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 79),
(510, '9ad3795d-fa65-4c67-a36f-0f642c5beb1e'::uuid, 'Amber Knight', 'amberknight@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 39),
(511, '02eaa12f-51ef-43a6-ac74-8ac910108ec1'::uuid, 'Joseph Clements', 'josephclements@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 48),
(512, '02eaa12f-51ef-43a6-ac74-8ac910108ec1'::uuid, 'Joseph Clements', 'josephclements@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 59),
(513, '02eaa12f-51ef-43a6-ac74-8ac910108ec1'::uuid, 'Joseph Clements', 'josephclements@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 45),
(514, '02eaa12f-51ef-43a6-ac74-8ac910108ec1'::uuid, 'Joseph Clements', 'josephclements@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 52),
(515, '02eaa12f-51ef-43a6-ac74-8ac910108ec1'::uuid, 'Joseph Clements', 'josephclements@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 90),
(516, '831ff66f-42f1-4750-9353-6d21c21b6d1c'::uuid, 'Erica Banks', 'ericabanks@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 40),
(517, '831ff66f-42f1-4750-9353-6d21c21b6d1c'::uuid, 'Erica Banks', 'ericabanks@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 42),
(518, '831ff66f-42f1-4750-9353-6d21c21b6d1c'::uuid, 'Erica Banks', 'ericabanks@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 70),
(519, '831ff66f-42f1-4750-9353-6d21c21b6d1c'::uuid, 'Erica Banks', 'ericabanks@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 70),
(520, '831ff66f-42f1-4750-9353-6d21c21b6d1c'::uuid, 'Erica Banks', 'ericabanks@gmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 63),
(521, 'f8bcd3db-b68e-40d0-a3c0-d91f9bf65f2a'::uuid, 'Kristina Galloway', 'kristinagalloway@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 95),
(522, 'f8bcd3db-b68e-40d0-a3c0-d91f9bf65f2a'::uuid, 'Kristina Galloway', 'kristinagalloway@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 72),
(523, 'f8bcd3db-b68e-40d0-a3c0-d91f9bf65f2a'::uuid, 'Kristina Galloway', 'kristinagalloway@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 31),
(524, 'f8bcd3db-b68e-40d0-a3c0-d91f9bf65f2a'::uuid, 'Kristina Galloway', 'kristinagalloway@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 86),
(525, 'f8bcd3db-b68e-40d0-a3c0-d91f9bf65f2a'::uuid, 'Kristina Galloway', 'kristinagalloway@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 56),
(526, 'dee56971-c682-469e-a064-77ce70289a92'::uuid, 'Craig Dillon', 'craigdillon@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 50),
(527, 'dee56971-c682-469e-a064-77ce70289a92'::uuid, 'Craig Dillon', 'craigdillon@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 62),
(528, 'dee56971-c682-469e-a064-77ce70289a92'::uuid, 'Craig Dillon', 'craigdillon@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 84),
(529, 'dee56971-c682-469e-a064-77ce70289a92'::uuid, 'Craig Dillon', 'craigdillon@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 99),
(530, 'dee56971-c682-469e-a064-77ce70289a92'::uuid, 'Craig Dillon', 'craigdillon@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 71),
(531, '59daa460-383a-44b2-9a47-d1ced4952fdd'::uuid, 'Alexis Johnson', 'alexisjohnson@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 87),
(532, '59daa460-383a-44b2-9a47-d1ced4952fdd'::uuid, 'Alexis Johnson', 'alexisjohnson@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 81),
(533, '59daa460-383a-44b2-9a47-d1ced4952fdd'::uuid, 'Alexis Johnson', 'alexisjohnson@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 79),
(534, '59daa460-383a-44b2-9a47-d1ced4952fdd'::uuid, 'Alexis Johnson', 'alexisjohnson@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 91),
(535, '59daa460-383a-44b2-9a47-d1ced4952fdd'::uuid, 'Alexis Johnson', 'alexisjohnson@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 37),
(536, 'fc498714-21a2-4588-910b-a98eb059df77'::uuid, 'Thomas Baxter', 'thomasbaxter@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 39),
(537, 'fc498714-21a2-4588-910b-a98eb059df77'::uuid, 'Thomas Baxter', 'thomasbaxter@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 37),
(538, 'fc498714-21a2-4588-910b-a98eb059df77'::uuid, 'Thomas Baxter', 'thomasbaxter@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 63),
(539, 'fc498714-21a2-4588-910b-a98eb059df77'::uuid, 'Thomas Baxter', 'thomasbaxter@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 72),
(540, 'fc498714-21a2-4588-910b-a98eb059df77'::uuid, 'Thomas Baxter', 'thomasbaxter@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 73),
(541, 'fabe5ef2-45ac-4ef2-941b-4cba3e2de315'::uuid, 'Shaun Torres', 'shauntorres@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 49),
(542, 'fabe5ef2-45ac-4ef2-941b-4cba3e2de315'::uuid, 'Shaun Torres', 'shauntorres@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 25),
(543, 'fabe5ef2-45ac-4ef2-941b-4cba3e2de315'::uuid, 'Shaun Torres', 'shauntorres@hotmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 91),
(544, 'fabe5ef2-45ac-4ef2-941b-4cba3e2de315'::uuid, 'Shaun Torres', 'shauntorres@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 43),
(545, 'fabe5ef2-45ac-4ef2-941b-4cba3e2de315'::uuid, 'Shaun Torres', 'shauntorres@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 55),
(546, 'cc32b7fd-a501-43ee-9fad-5c298419c30d'::uuid, 'Bruce Burton', 'bruceburton@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 96),
(547, 'cc32b7fd-a501-43ee-9fad-5c298419c30d'::uuid, 'Bruce Burton', 'bruceburton@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 65),
(548, 'cc32b7fd-a501-43ee-9fad-5c298419c30d'::uuid, 'Bruce Burton', 'bruceburton@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 40),
(549, 'cc32b7fd-a501-43ee-9fad-5c298419c30d'::uuid, 'Bruce Burton', 'bruceburton@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 70),
(550, 'cc32b7fd-a501-43ee-9fad-5c298419c30d'::uuid, 'Bruce Burton', 'bruceburton@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 100),
(551, 'fa6eb8ce-1944-40f4-afcd-3fe4019fd0e7'::uuid, 'John Potts', 'johnpotts@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 77),
(552, 'fa6eb8ce-1944-40f4-afcd-3fe4019fd0e7'::uuid, 'John Potts', 'johnpotts@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 43),
(553, 'fa6eb8ce-1944-40f4-afcd-3fe4019fd0e7'::uuid, 'John Potts', 'johnpotts@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 41),
(554, 'fa6eb8ce-1944-40f4-afcd-3fe4019fd0e7'::uuid, 'John Potts', 'johnpotts@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 40),
(555, 'fa6eb8ce-1944-40f4-afcd-3fe4019fd0e7'::uuid, 'John Potts', 'johnpotts@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 89),
(556, '618dbf3a-9155-4dbc-9f7d-86cb48ff245a'::uuid, 'Carrie Saunders', 'carriesaunders@hotmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 76),
(557, '618dbf3a-9155-4dbc-9f7d-86cb48ff245a'::uuid, 'Carrie Saunders', 'carriesaunders@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 100),
(558, '618dbf3a-9155-4dbc-9f7d-86cb48ff245a'::uuid, 'Carrie Saunders', 'carriesaunders@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 45),
(559, '618dbf3a-9155-4dbc-9f7d-86cb48ff245a'::uuid, 'Carrie Saunders', 'carriesaunders@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 27),
(560, '618dbf3a-9155-4dbc-9f7d-86cb48ff245a'::uuid, 'Carrie Saunders', 'carriesaunders@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 95),
(561, 'a6265713-ea8a-4db9-b9d7-3d5d9f7a35b6'::uuid, 'Charles Smith', 'charlessmith@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 83),
(562, 'a6265713-ea8a-4db9-b9d7-3d5d9f7a35b6'::uuid, 'Charles Smith', 'charlessmith@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 67),
(563, 'a6265713-ea8a-4db9-b9d7-3d5d9f7a35b6'::uuid, 'Charles Smith', 'charlessmith@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 40),
(564, 'a6265713-ea8a-4db9-b9d7-3d5d9f7a35b6'::uuid, 'Charles Smith', 'charlessmith@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 31),
(565, 'a6265713-ea8a-4db9-b9d7-3d5d9f7a35b6'::uuid, 'Charles Smith', 'charlessmith@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 85),
(566, '22d66863-cc4f-4557-94a0-e739ea8aad28'::uuid, 'Dawn Aguilar', 'dawnaguilar@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 31),
(567, '22d66863-cc4f-4557-94a0-e739ea8aad28'::uuid, 'Dawn Aguilar', 'dawnaguilar@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 61),
(568, '22d66863-cc4f-4557-94a0-e739ea8aad28'::uuid, 'Dawn Aguilar', 'dawnaguilar@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 40),
(569, '22d66863-cc4f-4557-94a0-e739ea8aad28'::uuid, 'Dawn Aguilar', 'dawnaguilar@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 64),
(570, '22d66863-cc4f-4557-94a0-e739ea8aad28'::uuid, 'Dawn Aguilar', 'dawnaguilar@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 84),
(571, 'c51f0c90-7fb7-46b9-9d03-33f20748467f'::uuid, 'Paul Norris', 'paulnorris@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 25),
(572, 'c51f0c90-7fb7-46b9-9d03-33f20748467f'::uuid, 'Paul Norris', 'paulnorris@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 40),
(573, 'c51f0c90-7fb7-46b9-9d03-33f20748467f'::uuid, 'Paul Norris', 'paulnorris@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 28),
(574, 'c51f0c90-7fb7-46b9-9d03-33f20748467f'::uuid, 'Paul Norris', 'paulnorris@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 28),
(575, 'c51f0c90-7fb7-46b9-9d03-33f20748467f'::uuid, 'Paul Norris', 'paulnorris@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 84),
(576, 'cba47470-ecdc-488a-b1da-f745615b14d7'::uuid, 'Michelle Murphy', 'michellemurphy@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 89),
(577, 'cba47470-ecdc-488a-b1da-f745615b14d7'::uuid, 'Michelle Murphy', 'michellemurphy@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 79),
(578, 'cba47470-ecdc-488a-b1da-f745615b14d7'::uuid, 'Michelle Murphy', 'michellemurphy@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 55),
(579, 'cba47470-ecdc-488a-b1da-f745615b14d7'::uuid, 'Michelle Murphy', 'michellemurphy@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 36),
(580, 'cba47470-ecdc-488a-b1da-f745615b14d7'::uuid, 'Michelle Murphy', 'michellemurphy@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 29),
(581, '96269877-22ea-415c-82cf-d52a51079513'::uuid, 'Nancy Bartlett', 'nancybartlett@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 100),
(582, '96269877-22ea-415c-82cf-d52a51079513'::uuid, 'Nancy Bartlett', 'nancybartlett@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 88),
(583, '96269877-22ea-415c-82cf-d52a51079513'::uuid, 'Nancy Bartlett', 'nancybartlett@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 82),
(584, '96269877-22ea-415c-82cf-d52a51079513'::uuid, 'Nancy Bartlett', 'nancybartlett@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 69),
(585, '96269877-22ea-415c-82cf-d52a51079513'::uuid, 'Nancy Bartlett', 'nancybartlett@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 47),
(586, '06455d22-3cae-4f23-968d-33b487113cb8'::uuid, 'Brian Miller', 'brianmiller@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 73),
(587, '06455d22-3cae-4f23-968d-33b487113cb8'::uuid, 'Brian Miller', 'brianmiller@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 58),
(588, '06455d22-3cae-4f23-968d-33b487113cb8'::uuid, 'Brian Miller', 'brianmiller@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 98),
(589, '06455d22-3cae-4f23-968d-33b487113cb8'::uuid, 'Brian Miller', 'brianmiller@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 76),
(590, '06455d22-3cae-4f23-968d-33b487113cb8'::uuid, 'Brian Miller', 'brianmiller@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 57),
(591, '15928182-2792-478e-bec8-e23c78aff057'::uuid, 'Thomas Li', 'thomasli@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 35),
(592, '15928182-2792-478e-bec8-e23c78aff057'::uuid, 'Thomas Li', 'thomasli@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 66),
(593, '15928182-2792-478e-bec8-e23c78aff057'::uuid, 'Thomas Li', 'thomasli@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 47),
(594, '15928182-2792-478e-bec8-e23c78aff057'::uuid, 'Thomas Li', 'thomasli@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 58),
(595, '15928182-2792-478e-bec8-e23c78aff057'::uuid, 'Thomas Li', 'thomasli@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 26),
(596, 'f31b0627-502e-4cb0-8f6b-1060710ebcee'::uuid, 'Kevin Armstrong', 'kevinarmstrong@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 38),
(597, 'f31b0627-502e-4cb0-8f6b-1060710ebcee'::uuid, 'Kevin Armstrong', 'kevinarmstrong@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 62),
(598, 'f31b0627-502e-4cb0-8f6b-1060710ebcee'::uuid, 'Kevin Armstrong', 'kevinarmstrong@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 64),
(599, 'f31b0627-502e-4cb0-8f6b-1060710ebcee'::uuid, 'Kevin Armstrong', 'kevinarmstrong@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 65),
(600, 'f31b0627-502e-4cb0-8f6b-1060710ebcee'::uuid, 'Kevin Armstrong', 'kevinarmstrong@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 81),
(601, '2577e927-9a93-486a-8e84-ad244d45c0ae'::uuid, 'Dale Fox', 'dalefox@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 31),
(602, '2577e927-9a93-486a-8e84-ad244d45c0ae'::uuid, 'Dale Fox', 'dalefox@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 46),
(603, '2577e927-9a93-486a-8e84-ad244d45c0ae'::uuid, 'Dale Fox', 'dalefox@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 59),
(604, '2577e927-9a93-486a-8e84-ad244d45c0ae'::uuid, 'Dale Fox', 'dalefox@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 72),
(605, '2577e927-9a93-486a-8e84-ad244d45c0ae'::uuid, 'Dale Fox', 'dalefox@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 29),
(606, '78269fed-50ef-4ee2-8ad9-0e7f4d05b0e4'::uuid, 'Collin Wilson', 'collinwilson@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 73),
(607, '78269fed-50ef-4ee2-8ad9-0e7f4d05b0e4'::uuid, 'Collin Wilson', 'collinwilson@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 41),
(608, '78269fed-50ef-4ee2-8ad9-0e7f4d05b0e4'::uuid, 'Collin Wilson', 'collinwilson@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 63),
(609, '78269fed-50ef-4ee2-8ad9-0e7f4d05b0e4'::uuid, 'Collin Wilson', 'collinwilson@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 86),
(610, '78269fed-50ef-4ee2-8ad9-0e7f4d05b0e4'::uuid, 'Collin Wilson', 'collinwilson@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 30),
(611, '4b82b3c2-b5f7-4c93-94f2-091a3bd1f9ef'::uuid, 'Tracy Johnson', 'tracyjohnson@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 27),
(612, '4b82b3c2-b5f7-4c93-94f2-091a3bd1f9ef'::uuid, 'Tracy Johnson', 'tracyjohnson@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 83),
(613, '4b82b3c2-b5f7-4c93-94f2-091a3bd1f9ef'::uuid, 'Tracy Johnson', 'tracyjohnson@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 87),
(614, '4b82b3c2-b5f7-4c93-94f2-091a3bd1f9ef'::uuid, 'Tracy Johnson', 'tracyjohnson@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 54),
(615, '4b82b3c2-b5f7-4c93-94f2-091a3bd1f9ef'::uuid, 'Tracy Johnson', 'tracyjohnson@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 93),
(616, '0a67000d-d96b-46f3-9d03-ed8ba69c2c09'::uuid, 'John Jones', 'johnjones@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 90),
(617, '0a67000d-d96b-46f3-9d03-ed8ba69c2c09'::uuid, 'John Jones', 'johnjones@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 44),
(618, '0a67000d-d96b-46f3-9d03-ed8ba69c2c09'::uuid, 'John Jones', 'johnjones@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 44),
(619, '0a67000d-d96b-46f3-9d03-ed8ba69c2c09'::uuid, 'John Jones', 'johnjones@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 27),
(620, '0a67000d-d96b-46f3-9d03-ed8ba69c2c09'::uuid, 'John Jones', 'johnjones@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 27),
(621, 'cb4571e3-4023-4169-b445-08c50d81f4ac'::uuid, 'Cameron Martin', 'cameronmartin@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 78),
(622, 'cb4571e3-4023-4169-b445-08c50d81f4ac'::uuid, 'Cameron Martin', 'cameronmartin@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 45),
(623, 'cb4571e3-4023-4169-b445-08c50d81f4ac'::uuid, 'Cameron Martin', 'cameronmartin@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 36),
(624, 'cb4571e3-4023-4169-b445-08c50d81f4ac'::uuid, 'Cameron Martin', 'cameronmartin@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 76),
(625, 'cb4571e3-4023-4169-b445-08c50d81f4ac'::uuid, 'Cameron Martin', 'cameronmartin@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 35),
(626, '647a0562-6adf-401c-92c9-a9c354f57491'::uuid, 'Vickie Reed', 'vickiereed@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 59),
(627, '647a0562-6adf-401c-92c9-a9c354f57491'::uuid, 'Vickie Reed', 'vickiereed@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 39),
(628, '647a0562-6adf-401c-92c9-a9c354f57491'::uuid, 'Vickie Reed', 'vickiereed@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 60),
(629, '647a0562-6adf-401c-92c9-a9c354f57491'::uuid, 'Vickie Reed', 'vickiereed@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 71),
(630, '647a0562-6adf-401c-92c9-a9c354f57491'::uuid, 'Vickie Reed', 'vickiereed@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 77),
(631, '89c5b7f8-0dfc-4e08-af3d-8ed568e044fe'::uuid, 'Michelle Allen', 'michelleallen@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 59),
(632, '89c5b7f8-0dfc-4e08-af3d-8ed568e044fe'::uuid, 'Michelle Allen', 'michelleallen@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 52),
(633, '89c5b7f8-0dfc-4e08-af3d-8ed568e044fe'::uuid, 'Michelle Allen', 'michelleallen@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 88),
(634, '89c5b7f8-0dfc-4e08-af3d-8ed568e044fe'::uuid, 'Michelle Allen', 'michelleallen@hotmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 39),
(635, '89c5b7f8-0dfc-4e08-af3d-8ed568e044fe'::uuid, 'Michelle Allen', 'michelleallen@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 75),
(636, '1d28d673-3467-4fc9-8387-25ca9d0a677e'::uuid, 'David Lawson', 'davidlawson@gmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 73),
(637, '1d28d673-3467-4fc9-8387-25ca9d0a677e'::uuid, 'David Lawson', 'davidlawson@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 26),
(638, '1d28d673-3467-4fc9-8387-25ca9d0a677e'::uuid, 'David Lawson', 'davidlawson@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 57),
(639, '1d28d673-3467-4fc9-8387-25ca9d0a677e'::uuid, 'David Lawson', 'davidlawson@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 52),
(640, '1d28d673-3467-4fc9-8387-25ca9d0a677e'::uuid, 'David Lawson', 'davidlawson@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 28),
(641, '5b0cc504-efab-4522-befe-47932eb9587d'::uuid, 'Noah Smith', 'noahsmith@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 70),
(642, '5b0cc504-efab-4522-befe-47932eb9587d'::uuid, 'Noah Smith', 'noahsmith@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 58),
(643, '5b0cc504-efab-4522-befe-47932eb9587d'::uuid, 'Noah Smith', 'noahsmith@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 75),
(644, '5b0cc504-efab-4522-befe-47932eb9587d'::uuid, 'Noah Smith', 'noahsmith@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 38),
(645, '5b0cc504-efab-4522-befe-47932eb9587d'::uuid, 'Noah Smith', 'noahsmith@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 43),
(646, '34e33a5c-96e5-4245-b391-a92c9d075881'::uuid, 'Tami Hicks', 'tamihicks@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 65),
(647, '34e33a5c-96e5-4245-b391-a92c9d075881'::uuid, 'Tami Hicks', 'tamihicks@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 78),
(648, '34e33a5c-96e5-4245-b391-a92c9d075881'::uuid, 'Tami Hicks', 'tamihicks@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 87),
(649, '34e33a5c-96e5-4245-b391-a92c9d075881'::uuid, 'Tami Hicks', 'tamihicks@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 90),
(650, '34e33a5c-96e5-4245-b391-a92c9d075881'::uuid, 'Tami Hicks', 'tamihicks@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 89),
(651, '8381d58d-4d55-4282-a9a7-55385806c7dc'::uuid, 'Stephanie Ward', 'stephanieward@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 46),
(652, '8381d58d-4d55-4282-a9a7-55385806c7dc'::uuid, 'Stephanie Ward', 'stephanieward@hotmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 37),
(653, '8381d58d-4d55-4282-a9a7-55385806c7dc'::uuid, 'Stephanie Ward', 'stephanieward@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 68),
(654, '8381d58d-4d55-4282-a9a7-55385806c7dc'::uuid, 'Stephanie Ward', 'stephanieward@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 88),
(655, '8381d58d-4d55-4282-a9a7-55385806c7dc'::uuid, 'Stephanie Ward', 'stephanieward@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 42),
(656, '7bf94c17-2338-47dc-bd1f-82d96358c992'::uuid, 'Connie Sullivan', 'conniesullivan@yahoo.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 62),
(657, '7bf94c17-2338-47dc-bd1f-82d96358c992'::uuid, 'Connie Sullivan', 'conniesullivan@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 79),
(658, '7bf94c17-2338-47dc-bd1f-82d96358c992'::uuid, 'Connie Sullivan', 'conniesullivan@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 28),
(659, '7bf94c17-2338-47dc-bd1f-82d96358c992'::uuid, 'Connie Sullivan', 'conniesullivan@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 25),
(660, '7bf94c17-2338-47dc-bd1f-82d96358c992'::uuid, 'Connie Sullivan', 'conniesullivan@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 85),
(661, '1d22f0a5-d437-4cb1-a6e8-5beab13fa4f6'::uuid, 'Melanie Wilson', 'melaniewilson@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 41),
(662, '1d22f0a5-d437-4cb1-a6e8-5beab13fa4f6'::uuid, 'Melanie Wilson', 'melaniewilson@gmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 58),
(663, '1d22f0a5-d437-4cb1-a6e8-5beab13fa4f6'::uuid, 'Melanie Wilson', 'melaniewilson@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 88),
(664, '1d22f0a5-d437-4cb1-a6e8-5beab13fa4f6'::uuid, 'Melanie Wilson', 'melaniewilson@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 73),
(665, '1d22f0a5-d437-4cb1-a6e8-5beab13fa4f6'::uuid, 'Melanie Wilson', 'melaniewilson@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 37),
(666, 'f24ee38d-0027-4a05-8b0d-775401015a07'::uuid, 'Elaine Harris', 'elaineharris@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 63),
(667, 'f24ee38d-0027-4a05-8b0d-775401015a07'::uuid, 'Elaine Harris', 'elaineharris@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 61),
(668, 'f24ee38d-0027-4a05-8b0d-775401015a07'::uuid, 'Elaine Harris', 'elaineharris@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 31),
(669, 'f24ee38d-0027-4a05-8b0d-775401015a07'::uuid, 'Elaine Harris', 'elaineharris@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 54),
(670, 'f24ee38d-0027-4a05-8b0d-775401015a07'::uuid, 'Elaine Harris', 'elaineharris@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 54),
(671, '1a0499ea-288f-4f68-a62e-62a9346548da'::uuid, 'Joseph Mcclure', 'josephmcclure@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 27),
(672, '1a0499ea-288f-4f68-a62e-62a9346548da'::uuid, 'Joseph Mcclure', 'josephmcclure@hotmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 34),
(673, '1a0499ea-288f-4f68-a62e-62a9346548da'::uuid, 'Joseph Mcclure', 'josephmcclure@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 47),
(674, '1a0499ea-288f-4f68-a62e-62a9346548da'::uuid, 'Joseph Mcclure', 'josephmcclure@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 85),
(675, '1a0499ea-288f-4f68-a62e-62a9346548da'::uuid, 'Joseph Mcclure', 'josephmcclure@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 28),
(676, 'c58db73c-0dae-4f69-bbae-072847eae5d9'::uuid, 'Sarah Elliott', 'sarahelliott@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 80),
(677, 'c58db73c-0dae-4f69-bbae-072847eae5d9'::uuid, 'Sarah Elliott', 'sarahelliott@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 52),
(678, 'c58db73c-0dae-4f69-bbae-072847eae5d9'::uuid, 'Sarah Elliott', 'sarahelliott@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 65),
(679, 'c58db73c-0dae-4f69-bbae-072847eae5d9'::uuid, 'Sarah Elliott', 'sarahelliott@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 96),
(680, 'c58db73c-0dae-4f69-bbae-072847eae5d9'::uuid, 'Sarah Elliott', 'sarahelliott@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 84),
(681, '7672aff6-8d1a-496f-bc20-f0ac62918480'::uuid, 'Kenneth Turner', 'kennethturner@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 97),
(682, '7672aff6-8d1a-496f-bc20-f0ac62918480'::uuid, 'Kenneth Turner', 'kennethturner@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 62),
(683, '7672aff6-8d1a-496f-bc20-f0ac62918480'::uuid, 'Kenneth Turner', 'kennethturner@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 78),
(684, '7672aff6-8d1a-496f-bc20-f0ac62918480'::uuid, 'Kenneth Turner', 'kennethturner@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 96),
(685, '7672aff6-8d1a-496f-bc20-f0ac62918480'::uuid, 'Kenneth Turner', 'kennethturner@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 98),
(686, 'b10cceb2-0912-415b-a36c-942368287786'::uuid, 'Jordan Daniels', 'jordandaniels@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 69),
(687, 'b10cceb2-0912-415b-a36c-942368287786'::uuid, 'Jordan Daniels', 'jordandaniels@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 75),
(688, 'b10cceb2-0912-415b-a36c-942368287786'::uuid, 'Jordan Daniels', 'jordandaniels@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 39),
(689, 'b10cceb2-0912-415b-a36c-942368287786'::uuid, 'Jordan Daniels', 'jordandaniels@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 56),
(690, 'b10cceb2-0912-415b-a36c-942368287786'::uuid, 'Jordan Daniels', 'jordandaniels@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 55),
(691, '6598db68-d3b0-4806-a320-832fb02f8657'::uuid, 'Lisa Martin', 'lisamartin@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 49),
(692, '6598db68-d3b0-4806-a320-832fb02f8657'::uuid, 'Lisa Martin', 'lisamartin@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 58),
(693, '6598db68-d3b0-4806-a320-832fb02f8657'::uuid, 'Lisa Martin', 'lisamartin@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 84),
(694, '6598db68-d3b0-4806-a320-832fb02f8657'::uuid, 'Lisa Martin', 'lisamartin@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 95),
(695, '6598db68-d3b0-4806-a320-832fb02f8657'::uuid, 'Lisa Martin', 'lisamartin@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 73),
(696, '56388ed5-c1c2-49a7-9c20-1cd585f74f3f'::uuid, 'Hannah Thompson', 'hannahthompson@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 77),
(697, '56388ed5-c1c2-49a7-9c20-1cd585f74f3f'::uuid, 'Hannah Thompson', 'hannahthompson@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 68),
(698, '56388ed5-c1c2-49a7-9c20-1cd585f74f3f'::uuid, 'Hannah Thompson', 'hannahthompson@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 84),
(699, '56388ed5-c1c2-49a7-9c20-1cd585f74f3f'::uuid, 'Hannah Thompson', 'hannahthompson@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 72),
(700, '56388ed5-c1c2-49a7-9c20-1cd585f74f3f'::uuid, 'Hannah Thompson', 'hannahthompson@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 77),
(701, '4f8c9664-5cee-41c8-90cc-aa604834780c'::uuid, 'Andrew Allen', 'andrewallen@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 89),
(702, '4f8c9664-5cee-41c8-90cc-aa604834780c'::uuid, 'Andrew Allen', 'andrewallen@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 58),
(703, '4f8c9664-5cee-41c8-90cc-aa604834780c'::uuid, 'Andrew Allen', 'andrewallen@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 88),
(704, '4f8c9664-5cee-41c8-90cc-aa604834780c'::uuid, 'Andrew Allen', 'andrewallen@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 94),
(705, '4f8c9664-5cee-41c8-90cc-aa604834780c'::uuid, 'Andrew Allen', 'andrewallen@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 58),
(706, 'ae1682d6-fc32-46ca-8792-5e0516dcf168'::uuid, 'Elizabeth Nguyen', 'elizabethnguyen@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 36),
(707, 'ae1682d6-fc32-46ca-8792-5e0516dcf168'::uuid, 'Elizabeth Nguyen', 'elizabethnguyen@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 27),
(708, 'ae1682d6-fc32-46ca-8792-5e0516dcf168'::uuid, 'Elizabeth Nguyen', 'elizabethnguyen@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 31),
(709, 'ae1682d6-fc32-46ca-8792-5e0516dcf168'::uuid, 'Elizabeth Nguyen', 'elizabethnguyen@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 42),
(710, 'ae1682d6-fc32-46ca-8792-5e0516dcf168'::uuid, 'Elizabeth Nguyen', 'elizabethnguyen@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 60),
(711, 'ca790784-c3dc-442e-a651-5b7bb7bf7f3c'::uuid, 'Timothy Thomas', 'timothythomas@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 76),
(712, 'ca790784-c3dc-442e-a651-5b7bb7bf7f3c'::uuid, 'Timothy Thomas', 'timothythomas@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 70),
(713, 'ca790784-c3dc-442e-a651-5b7bb7bf7f3c'::uuid, 'Timothy Thomas', 'timothythomas@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 96),
(714, 'ca790784-c3dc-442e-a651-5b7bb7bf7f3c'::uuid, 'Timothy Thomas', 'timothythomas@gmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 29),
(715, 'ca790784-c3dc-442e-a651-5b7bb7bf7f3c'::uuid, 'Timothy Thomas', 'timothythomas@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 95),
(716, '1e92f6f1-7d76-4fcc-aadc-fb8dafec6ae7'::uuid, 'Michael Williams', 'michaelwilliams@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 70),
(717, '1e92f6f1-7d76-4fcc-aadc-fb8dafec6ae7'::uuid, 'Michael Williams', 'michaelwilliams@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 32),
(718, '1e92f6f1-7d76-4fcc-aadc-fb8dafec6ae7'::uuid, 'Michael Williams', 'michaelwilliams@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 91),
(719, '1e92f6f1-7d76-4fcc-aadc-fb8dafec6ae7'::uuid, 'Michael Williams', 'michaelwilliams@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 96),
(720, '1e92f6f1-7d76-4fcc-aadc-fb8dafec6ae7'::uuid, 'Michael Williams', 'michaelwilliams@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 88),
(721, '6b2337f7-eac6-4a6b-88b6-5240ef0f9f2e'::uuid, 'Bruce Lane', 'brucelane@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 90),
(722, '6b2337f7-eac6-4a6b-88b6-5240ef0f9f2e'::uuid, 'Bruce Lane', 'brucelane@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 41),
(723, '6b2337f7-eac6-4a6b-88b6-5240ef0f9f2e'::uuid, 'Bruce Lane', 'brucelane@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 44),
(724, '6b2337f7-eac6-4a6b-88b6-5240ef0f9f2e'::uuid, 'Bruce Lane', 'brucelane@gmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 60),
(725, '6b2337f7-eac6-4a6b-88b6-5240ef0f9f2e'::uuid, 'Bruce Lane', 'brucelane@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 56),
(726, '63c1a3b3-dc63-48ea-a019-1c31070f2acd'::uuid, 'Jennifer Hahn', 'jenniferhahn@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 89),
(727, '63c1a3b3-dc63-48ea-a019-1c31070f2acd'::uuid, 'Jennifer Hahn', 'jenniferhahn@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 41),
(728, '63c1a3b3-dc63-48ea-a019-1c31070f2acd'::uuid, 'Jennifer Hahn', 'jenniferhahn@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 43),
(729, '63c1a3b3-dc63-48ea-a019-1c31070f2acd'::uuid, 'Jennifer Hahn', 'jenniferhahn@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 78),
(730, '63c1a3b3-dc63-48ea-a019-1c31070f2acd'::uuid, 'Jennifer Hahn', 'jenniferhahn@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 63),
(731, '763172fd-03b0-4537-90c2-055153f3f824'::uuid, 'Patricia Sweeney', 'patriciasweeney@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 26),
(732, '763172fd-03b0-4537-90c2-055153f3f824'::uuid, 'Patricia Sweeney', 'patriciasweeney@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 89),
(733, '763172fd-03b0-4537-90c2-055153f3f824'::uuid, 'Patricia Sweeney', 'patriciasweeney@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 99),
(734, '763172fd-03b0-4537-90c2-055153f3f824'::uuid, 'Patricia Sweeney', 'patriciasweeney@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 29),
(735, '763172fd-03b0-4537-90c2-055153f3f824'::uuid, 'Patricia Sweeney', 'patriciasweeney@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 35),
(736, '74a068f5-e256-402a-970b-38d6992b68c9'::uuid, 'Donald Ramirez', 'donaldramirez@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 61),
(737, '74a068f5-e256-402a-970b-38d6992b68c9'::uuid, 'Donald Ramirez', 'donaldramirez@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 54),
(738, '74a068f5-e256-402a-970b-38d6992b68c9'::uuid, 'Donald Ramirez', 'donaldramirez@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 69),
(739, '74a068f5-e256-402a-970b-38d6992b68c9'::uuid, 'Donald Ramirez', 'donaldramirez@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 90),
(740, '74a068f5-e256-402a-970b-38d6992b68c9'::uuid, 'Donald Ramirez', 'donaldramirez@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 67),
(741, 'a68cf3e1-36fc-4669-b8b3-ae3843d1a000'::uuid, 'Don Lynch', 'donlynch@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 62),
(742, 'a68cf3e1-36fc-4669-b8b3-ae3843d1a000'::uuid, 'Don Lynch', 'donlynch@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 57),
(743, 'a68cf3e1-36fc-4669-b8b3-ae3843d1a000'::uuid, 'Don Lynch', 'donlynch@gmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 31),
(744, 'a68cf3e1-36fc-4669-b8b3-ae3843d1a000'::uuid, 'Don Lynch', 'donlynch@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 25),
(745, 'a68cf3e1-36fc-4669-b8b3-ae3843d1a000'::uuid, 'Don Lynch', 'donlynch@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 81),
(746, 'fd4aaa97-8340-4b23-b4d2-36df9615dbb9'::uuid, 'Andrea Burke', 'andreaburke@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 46),
(747, 'fd4aaa97-8340-4b23-b4d2-36df9615dbb9'::uuid, 'Andrea Burke', 'andreaburke@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 84),
(748, 'fd4aaa97-8340-4b23-b4d2-36df9615dbb9'::uuid, 'Andrea Burke', 'andreaburke@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 36),
(749, 'fd4aaa97-8340-4b23-b4d2-36df9615dbb9'::uuid, 'Andrea Burke', 'andreaburke@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 77),
(750, 'fd4aaa97-8340-4b23-b4d2-36df9615dbb9'::uuid, 'Andrea Burke', 'andreaburke@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 54),
(751, '25be362e-bfde-4572-8bed-2e304ba5dfe0'::uuid, 'Lawrence Middleton', 'lawrencemiddleton@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 34),
(752, '25be362e-bfde-4572-8bed-2e304ba5dfe0'::uuid, 'Lawrence Middleton', 'lawrencemiddleton@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 75),
(753, '25be362e-bfde-4572-8bed-2e304ba5dfe0'::uuid, 'Lawrence Middleton', 'lawrencemiddleton@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 96),
(754, '25be362e-bfde-4572-8bed-2e304ba5dfe0'::uuid, 'Lawrence Middleton', 'lawrencemiddleton@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 49),
(755, '25be362e-bfde-4572-8bed-2e304ba5dfe0'::uuid, 'Lawrence Middleton', 'lawrencemiddleton@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 81),
(756, 'a41220a9-5f39-4056-a84d-2608c8120790'::uuid, 'Luis Rodgers', 'luisrodgers@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 52),
(757, 'a41220a9-5f39-4056-a84d-2608c8120790'::uuid, 'Luis Rodgers', 'luisrodgers@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 46),
(758, 'a41220a9-5f39-4056-a84d-2608c8120790'::uuid, 'Luis Rodgers', 'luisrodgers@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 91),
(759, 'a41220a9-5f39-4056-a84d-2608c8120790'::uuid, 'Luis Rodgers', 'luisrodgers@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 59),
(760, 'a41220a9-5f39-4056-a84d-2608c8120790'::uuid, 'Luis Rodgers', 'luisrodgers@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 84),
(761, 'f6be602e-49d3-4726-a166-cb1e585ac4c9'::uuid, 'William Madden', 'williammadden@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 84),
(762, 'f6be602e-49d3-4726-a166-cb1e585ac4c9'::uuid, 'William Madden', 'williammadden@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 80),
(763, 'f6be602e-49d3-4726-a166-cb1e585ac4c9'::uuid, 'William Madden', 'williammadden@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 38),
(764, 'f6be602e-49d3-4726-a166-cb1e585ac4c9'::uuid, 'William Madden', 'williammadden@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 44),
(765, 'f6be602e-49d3-4726-a166-cb1e585ac4c9'::uuid, 'William Madden', 'williammadden@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 97),
(766, 'd0e410a1-4e25-4db1-b16c-ed7bcca454c6'::uuid, 'Amy Benjamin', 'amybenjamin@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 43),
(767, 'd0e410a1-4e25-4db1-b16c-ed7bcca454c6'::uuid, 'Amy Benjamin', 'amybenjamin@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 97),
(768, 'd0e410a1-4e25-4db1-b16c-ed7bcca454c6'::uuid, 'Amy Benjamin', 'amybenjamin@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 82),
(769, 'd0e410a1-4e25-4db1-b16c-ed7bcca454c6'::uuid, 'Amy Benjamin', 'amybenjamin@hotmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 65),
(770, 'd0e410a1-4e25-4db1-b16c-ed7bcca454c6'::uuid, 'Amy Benjamin', 'amybenjamin@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 86),
(771, '61558bdc-f662-4e47-b631-a92e3fa0148f'::uuid, 'Christina Gomez', 'christinagomez@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 80),
(772, '61558bdc-f662-4e47-b631-a92e3fa0148f'::uuid, 'Christina Gomez', 'christinagomez@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 71),
(773, '61558bdc-f662-4e47-b631-a92e3fa0148f'::uuid, 'Christina Gomez', 'christinagomez@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 74),
(774, '61558bdc-f662-4e47-b631-a92e3fa0148f'::uuid, 'Christina Gomez', 'christinagomez@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 29),
(775, '61558bdc-f662-4e47-b631-a92e3fa0148f'::uuid, 'Christina Gomez', 'christinagomez@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 33),
(776, '7c073102-5a09-4793-9383-ba43e95449ba'::uuid, 'Daniel Avila', 'danielavila@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 57),
(777, '7c073102-5a09-4793-9383-ba43e95449ba'::uuid, 'Daniel Avila', 'danielavila@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 61),
(778, '7c073102-5a09-4793-9383-ba43e95449ba'::uuid, 'Daniel Avila', 'danielavila@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 59),
(779, '7c073102-5a09-4793-9383-ba43e95449ba'::uuid, 'Daniel Avila', 'danielavila@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 70),
(780, '7c073102-5a09-4793-9383-ba43e95449ba'::uuid, 'Daniel Avila', 'danielavila@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 25),
(781, '8af50669-f3b7-4f83-ab29-a4799a39bb6a'::uuid, 'Joseph Allen', 'josephallen@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 59),
(782, '8af50669-f3b7-4f83-ab29-a4799a39bb6a'::uuid, 'Joseph Allen', 'josephallen@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 58),
(783, '8af50669-f3b7-4f83-ab29-a4799a39bb6a'::uuid, 'Joseph Allen', 'josephallen@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 88),
(784, '8af50669-f3b7-4f83-ab29-a4799a39bb6a'::uuid, 'Joseph Allen', 'josephallen@gmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 97),
(785, '8af50669-f3b7-4f83-ab29-a4799a39bb6a'::uuid, 'Joseph Allen', 'josephallen@gmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 85),
(786, '7491c997-f9b9-4bef-9c74-b088d8aad0ef'::uuid, 'Mark Lopez', 'marklopez@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 61),
(787, '7491c997-f9b9-4bef-9c74-b088d8aad0ef'::uuid, 'Mark Lopez', 'marklopez@yahoo.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 36),
(788, '7491c997-f9b9-4bef-9c74-b088d8aad0ef'::uuid, 'Mark Lopez', 'marklopez@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 58),
(789, '7491c997-f9b9-4bef-9c74-b088d8aad0ef'::uuid, 'Mark Lopez', 'marklopez@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 44),
(790, '7491c997-f9b9-4bef-9c74-b088d8aad0ef'::uuid, 'Mark Lopez', 'marklopez@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 31),
(791, '3b3a2e18-ac75-4879-a2e7-0184398cdc9f'::uuid, 'Thomas Maldonado', 'thomasmaldonado@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 97),
(792, '3b3a2e18-ac75-4879-a2e7-0184398cdc9f'::uuid, 'Thomas Maldonado', 'thomasmaldonado@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 61),
(793, '3b3a2e18-ac75-4879-a2e7-0184398cdc9f'::uuid, 'Thomas Maldonado', 'thomasmaldonado@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 77),
(794, '3b3a2e18-ac75-4879-a2e7-0184398cdc9f'::uuid, 'Thomas Maldonado', 'thomasmaldonado@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 90),
(795, '3b3a2e18-ac75-4879-a2e7-0184398cdc9f'::uuid, 'Thomas Maldonado', 'thomasmaldonado@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 51),
(796, 'a75baf73-9eff-4249-b538-cab8697bdfd9'::uuid, 'Michael Wood', 'michaelwood@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 29),
(797, 'a75baf73-9eff-4249-b538-cab8697bdfd9'::uuid, 'Michael Wood', 'michaelwood@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 45),
(798, 'a75baf73-9eff-4249-b538-cab8697bdfd9'::uuid, 'Michael Wood', 'michaelwood@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 71),
(799, 'a75baf73-9eff-4249-b538-cab8697bdfd9'::uuid, 'Michael Wood', 'michaelwood@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 74),
(800, 'a75baf73-9eff-4249-b538-cab8697bdfd9'::uuid, 'Michael Wood', 'michaelwood@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'P.E.', 37),
(801, '5000e6fe-220e-49e6-86f3-5ddd0d6482f7'::uuid, 'Tami Armstrong', 'tamiarmstrong@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 26),
(802, '5000e6fe-220e-49e6-86f3-5ddd0d6482f7'::uuid, 'Tami Armstrong', 'tamiarmstrong@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 33),
(803, '5000e6fe-220e-49e6-86f3-5ddd0d6482f7'::uuid, 'Tami Armstrong', 'tamiarmstrong@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 59),
(804, '5000e6fe-220e-49e6-86f3-5ddd0d6482f7'::uuid, 'Tami Armstrong', 'tamiarmstrong@hotmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 26),
(805, '5000e6fe-220e-49e6-86f3-5ddd0d6482f7'::uuid, 'Tami Armstrong', 'tamiarmstrong@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 49),
(806, 'cf007870-461f-4ac3-b863-c788dc083ac6'::uuid, 'Heather Lewis', 'heatherlewis@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 43),
(807, 'cf007870-461f-4ac3-b863-c788dc083ac6'::uuid, 'Heather Lewis', 'heatherlewis@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 63),
(808, 'cf007870-461f-4ac3-b863-c788dc083ac6'::uuid, 'Heather Lewis', 'heatherlewis@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 46),
(809, 'cf007870-461f-4ac3-b863-c788dc083ac6'::uuid, 'Heather Lewis', 'heatherlewis@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 87),
(810, 'cf007870-461f-4ac3-b863-c788dc083ac6'::uuid, 'Heather Lewis', 'heatherlewis@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 38),
(811, '4d22f299-1738-496c-b9fd-c536be75ff5a'::uuid, 'Anthony Grant', 'anthonygrant@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 95),
(812, '4d22f299-1738-496c-b9fd-c536be75ff5a'::uuid, 'Anthony Grant', 'anthonygrant@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 49),
(813, '4d22f299-1738-496c-b9fd-c536be75ff5a'::uuid, 'Anthony Grant', 'anthonygrant@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 25),
(814, '4d22f299-1738-496c-b9fd-c536be75ff5a'::uuid, 'Anthony Grant', 'anthonygrant@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 39),
(815, '4d22f299-1738-496c-b9fd-c536be75ff5a'::uuid, 'Anthony Grant', 'anthonygrant@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 38),
(816, '2ebd0a5c-d776-4643-9645-5f3e3549e88b'::uuid, 'Todd Moore', 'toddmoore@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 28),
(817, '2ebd0a5c-d776-4643-9645-5f3e3549e88b'::uuid, 'Todd Moore', 'toddmoore@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 59),
(818, '2ebd0a5c-d776-4643-9645-5f3e3549e88b'::uuid, 'Todd Moore', 'toddmoore@hotmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 30),
(819, '2ebd0a5c-d776-4643-9645-5f3e3549e88b'::uuid, 'Todd Moore', 'toddmoore@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 39),
(820, '2ebd0a5c-d776-4643-9645-5f3e3549e88b'::uuid, 'Todd Moore', 'toddmoore@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 79),
(821, '4b1d7dee-7367-449e-b22a-fa633cd0e6ff'::uuid, 'William Vargas MD', 'williamvargasmd@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 37),
(822, '4b1d7dee-7367-449e-b22a-fa633cd0e6ff'::uuid, 'William Vargas MD', 'williamvargasmd@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 88),
(823, '4b1d7dee-7367-449e-b22a-fa633cd0e6ff'::uuid, 'William Vargas MD', 'williamvargasmd@yahoo.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 76),
(824, '4b1d7dee-7367-449e-b22a-fa633cd0e6ff'::uuid, 'William Vargas MD', 'williamvargasmd@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 97),
(825, '4b1d7dee-7367-449e-b22a-fa633cd0e6ff'::uuid, 'William Vargas MD', 'williamvargasmd@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 65),
(826, '6199d4ec-f55a-4671-83ec-40c76ea87eea'::uuid, 'Dustin Turner', 'dustinturner@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 27),
(827, '6199d4ec-f55a-4671-83ec-40c76ea87eea'::uuid, 'Dustin Turner', 'dustinturner@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 46),
(828, '6199d4ec-f55a-4671-83ec-40c76ea87eea'::uuid, 'Dustin Turner', 'dustinturner@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 26),
(829, '6199d4ec-f55a-4671-83ec-40c76ea87eea'::uuid, 'Dustin Turner', 'dustinturner@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 38),
(830, '6199d4ec-f55a-4671-83ec-40c76ea87eea'::uuid, 'Dustin Turner', 'dustinturner@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 65),
(831, '414755fe-a47b-4c5d-9dfc-a1025439b573'::uuid, 'Joshua Bates', 'joshuabates@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 90),
(832, '414755fe-a47b-4c5d-9dfc-a1025439b573'::uuid, 'Joshua Bates', 'joshuabates@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 74),
(833, '414755fe-a47b-4c5d-9dfc-a1025439b573'::uuid, 'Joshua Bates', 'joshuabates@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 56),
(834, '414755fe-a47b-4c5d-9dfc-a1025439b573'::uuid, 'Joshua Bates', 'joshuabates@gmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 42),
(835, '414755fe-a47b-4c5d-9dfc-a1025439b573'::uuid, 'Joshua Bates', 'joshuabates@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 40),
(836, 'df759927-0c6c-4ec8-bfea-c57aa3c0e785'::uuid, 'Tommy Thompson', 'tommythompson@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 31),
(837, 'df759927-0c6c-4ec8-bfea-c57aa3c0e785'::uuid, 'Tommy Thompson', 'tommythompson@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 94),
(838, 'df759927-0c6c-4ec8-bfea-c57aa3c0e785'::uuid, 'Tommy Thompson', 'tommythompson@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 88),
(839, 'df759927-0c6c-4ec8-bfea-c57aa3c0e785'::uuid, 'Tommy Thompson', 'tommythompson@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 76),
(840, 'df759927-0c6c-4ec8-bfea-c57aa3c0e785'::uuid, 'Tommy Thompson', 'tommythompson@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 94),
(841, 'fbc55054-2947-4c07-925d-ed235ceee362'::uuid, 'Ryan Hartman', 'ryanhartman@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 83),
(842, 'fbc55054-2947-4c07-925d-ed235ceee362'::uuid, 'Ryan Hartman', 'ryanhartman@hotmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 77),
(843, 'fbc55054-2947-4c07-925d-ed235ceee362'::uuid, 'Ryan Hartman', 'ryanhartman@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 82),
(844, 'fbc55054-2947-4c07-925d-ed235ceee362'::uuid, 'Ryan Hartman', 'ryanhartman@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 84),
(845, 'fbc55054-2947-4c07-925d-ed235ceee362'::uuid, 'Ryan Hartman', 'ryanhartman@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 84),
(846, 'c7cef50a-45fa-478f-8ce4-49d78d9eda00'::uuid, 'Jeffrey Sanchez', 'jeffreysanchez@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 55),
(847, 'c7cef50a-45fa-478f-8ce4-49d78d9eda00'::uuid, 'Jeffrey Sanchez', 'jeffreysanchez@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 77),
(848, 'c7cef50a-45fa-478f-8ce4-49d78d9eda00'::uuid, 'Jeffrey Sanchez', 'jeffreysanchez@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 31),
(849, 'c7cef50a-45fa-478f-8ce4-49d78d9eda00'::uuid, 'Jeffrey Sanchez', 'jeffreysanchez@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 84),
(850, 'c7cef50a-45fa-478f-8ce4-49d78d9eda00'::uuid, 'Jeffrey Sanchez', 'jeffreysanchez@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 95),
(851, '20cf46ca-66ad-4ab3-bc6d-95ea98fa74b5'::uuid, 'Janice Ho', 'janiceho@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 94),
(852, '20cf46ca-66ad-4ab3-bc6d-95ea98fa74b5'::uuid, 'Janice Ho', 'janiceho@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 84),
(853, '20cf46ca-66ad-4ab3-bc6d-95ea98fa74b5'::uuid, 'Janice Ho', 'janiceho@gmail.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 45),
(854, '20cf46ca-66ad-4ab3-bc6d-95ea98fa74b5'::uuid, 'Janice Ho', 'janiceho@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 54),
(855, '20cf46ca-66ad-4ab3-bc6d-95ea98fa74b5'::uuid, 'Janice Ho', 'janiceho@gmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 95),
(856, '91cfacaa-4909-4724-9d60-977335396dd5'::uuid, 'Janice Brown', 'janicebrown@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 26),
(857, '91cfacaa-4909-4724-9d60-977335396dd5'::uuid, 'Janice Brown', 'janicebrown@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 89),
(858, '91cfacaa-4909-4724-9d60-977335396dd5'::uuid, 'Janice Brown', 'janicebrown@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 59),
(859, '91cfacaa-4909-4724-9d60-977335396dd5'::uuid, 'Janice Brown', 'janicebrown@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 84),
(860, '91cfacaa-4909-4724-9d60-977335396dd5'::uuid, 'Janice Brown', 'janicebrown@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 99),
(861, 'd2888f19-12e7-4dc9-8698-c3ec69361292'::uuid, 'Kevin Erickson', 'kevinerickson@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 37),
(862, 'd2888f19-12e7-4dc9-8698-c3ec69361292'::uuid, 'Kevin Erickson', 'kevinerickson@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 69),
(863, 'd2888f19-12e7-4dc9-8698-c3ec69361292'::uuid, 'Kevin Erickson', 'kevinerickson@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 78),
(864, 'd2888f19-12e7-4dc9-8698-c3ec69361292'::uuid, 'Kevin Erickson', 'kevinerickson@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 66),
(865, 'd2888f19-12e7-4dc9-8698-c3ec69361292'::uuid, 'Kevin Erickson', 'kevinerickson@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 58),
(866, '1900891a-fa47-460e-9298-0896b9b132c7'::uuid, 'Sara Gross', 'saragross@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 25),
(867, '1900891a-fa47-460e-9298-0896b9b132c7'::uuid, 'Sara Gross', 'saragross@hotmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 95),
(868, '1900891a-fa47-460e-9298-0896b9b132c7'::uuid, 'Sara Gross', 'saragross@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 25),
(869, '1900891a-fa47-460e-9298-0896b9b132c7'::uuid, 'Sara Gross', 'saragross@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 74),
(870, '1900891a-fa47-460e-9298-0896b9b132c7'::uuid, 'Sara Gross', 'saragross@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 86),
(871, '1fb648e7-e3d7-420d-9eb5-1cc34066a52f'::uuid, 'Robert Marquez', 'robertmarquez@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 65),
(872, '1fb648e7-e3d7-420d-9eb5-1cc34066a52f'::uuid, 'Robert Marquez', 'robertmarquez@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 37),
(873, '1fb648e7-e3d7-420d-9eb5-1cc34066a52f'::uuid, 'Robert Marquez', 'robertmarquez@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 83),
(874, '1fb648e7-e3d7-420d-9eb5-1cc34066a52f'::uuid, 'Robert Marquez', 'robertmarquez@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 31),
(875, '1fb648e7-e3d7-420d-9eb5-1cc34066a52f'::uuid, 'Robert Marquez', 'robertmarquez@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 97),
(876, '219561eb-7a1f-4318-8bf9-d7244fc571ed'::uuid, 'Samantha Johnson', 'samanthajohnson@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 40),
(877, '219561eb-7a1f-4318-8bf9-d7244fc571ed'::uuid, 'Samantha Johnson', 'samanthajohnson@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 59),
(878, '219561eb-7a1f-4318-8bf9-d7244fc571ed'::uuid, 'Samantha Johnson', 'samanthajohnson@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 96),
(879, '219561eb-7a1f-4318-8bf9-d7244fc571ed'::uuid, 'Samantha Johnson', 'samanthajohnson@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 45),
(880, '219561eb-7a1f-4318-8bf9-d7244fc571ed'::uuid, 'Samantha Johnson', 'samanthajohnson@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 94),
(881, '61c3f912-f259-4ae1-8ba7-ce480d1053c0'::uuid, 'Tonya Brown', 'tonyabrown@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 51),
(882, '61c3f912-f259-4ae1-8ba7-ce480d1053c0'::uuid, 'Tonya Brown', 'tonyabrown@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 84),
(883, '61c3f912-f259-4ae1-8ba7-ce480d1053c0'::uuid, 'Tonya Brown', 'tonyabrown@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 62),
(884, '61c3f912-f259-4ae1-8ba7-ce480d1053c0'::uuid, 'Tonya Brown', 'tonyabrown@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 59),
(885, '61c3f912-f259-4ae1-8ba7-ce480d1053c0'::uuid, 'Tonya Brown', 'tonyabrown@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 66),
(886, '3b22fb1a-5302-4be0-95cc-df71ff24eba4'::uuid, 'Charlotte Clark', 'charlotteclark@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 70),
(887, '3b22fb1a-5302-4be0-95cc-df71ff24eba4'::uuid, 'Charlotte Clark', 'charlotteclark@yahoo.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 99),
(888, '3b22fb1a-5302-4be0-95cc-df71ff24eba4'::uuid, 'Charlotte Clark', 'charlotteclark@yahoo.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 48),
(889, '3b22fb1a-5302-4be0-95cc-df71ff24eba4'::uuid, 'Charlotte Clark', 'charlotteclark@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 49),
(890, '3b22fb1a-5302-4be0-95cc-df71ff24eba4'::uuid, 'Charlotte Clark', 'charlotteclark@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 92),
(891, '8b7be1dd-9f82-420f-a07f-cb25253a636a'::uuid, 'Catherine Rangel', 'catherinerangel@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 93),
(892, '8b7be1dd-9f82-420f-a07f-cb25253a636a'::uuid, 'Catherine Rangel', 'catherinerangel@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 72),
(893, '8b7be1dd-9f82-420f-a07f-cb25253a636a'::uuid, 'Catherine Rangel', 'catherinerangel@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 92),
(894, '8b7be1dd-9f82-420f-a07f-cb25253a636a'::uuid, 'Catherine Rangel', 'catherinerangel@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 43),
(895, '8b7be1dd-9f82-420f-a07f-cb25253a636a'::uuid, 'Catherine Rangel', 'catherinerangel@hotmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 27),
(896, '48d07d95-4168-475b-9fb8-8b1b8bedc1f5'::uuid, 'Jeff Rodgers', 'jeffrodgers@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 54),
(897, '48d07d95-4168-475b-9fb8-8b1b8bedc1f5'::uuid, 'Jeff Rodgers', 'jeffrodgers@hotmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 78),
(898, '48d07d95-4168-475b-9fb8-8b1b8bedc1f5'::uuid, 'Jeff Rodgers', 'jeffrodgers@hotmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 64),
(899, '48d07d95-4168-475b-9fb8-8b1b8bedc1f5'::uuid, 'Jeff Rodgers', 'jeffrodgers@hotmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 38),
(900, '48d07d95-4168-475b-9fb8-8b1b8bedc1f5'::uuid, 'Jeff Rodgers', 'jeffrodgers@hotmail.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 76),
(901, '8a59a3fb-2147-4257-aad5-812006b9c92b'::uuid, 'David Blackwell', 'davidblackwell@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 33),
(902, '8a59a3fb-2147-4257-aad5-812006b9c92b'::uuid, 'David Blackwell', 'davidblackwell@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 76),
(903, '8a59a3fb-2147-4257-aad5-812006b9c92b'::uuid, 'David Blackwell', 'davidblackwell@yahoo.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 76),
(904, '8a59a3fb-2147-4257-aad5-812006b9c92b'::uuid, 'David Blackwell', 'davidblackwell@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 30),
(905, '8a59a3fb-2147-4257-aad5-812006b9c92b'::uuid, 'David Blackwell', 'davidblackwell@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 29),
(906, '156bfabc-23b4-4161-9254-7a52b8b39bb2'::uuid, 'Penny Moran', 'pennymoran@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 27),
(907, '156bfabc-23b4-4161-9254-7a52b8b39bb2'::uuid, 'Penny Moran', 'pennymoran@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 71),
(908, '156bfabc-23b4-4161-9254-7a52b8b39bb2'::uuid, 'Penny Moran', 'pennymoran@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 95),
(909, '156bfabc-23b4-4161-9254-7a52b8b39bb2'::uuid, 'Penny Moran', 'pennymoran@yahoo.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 45),
(910, '156bfabc-23b4-4161-9254-7a52b8b39bb2'::uuid, 'Penny Moran', 'pennymoran@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Math', 77),
(911, 'd2aa8700-e7c0-4a7c-ad74-9e906b555a5b'::uuid, 'Jeremiah Stephens', 'jeremiahstephens@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 47),
(912, 'd2aa8700-e7c0-4a7c-ad74-9e906b555a5b'::uuid, 'Jeremiah Stephens', 'jeremiahstephens@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 85),
(913, 'd2aa8700-e7c0-4a7c-ad74-9e906b555a5b'::uuid, 'Jeremiah Stephens', 'jeremiahstephens@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 92),
(914, 'd2aa8700-e7c0-4a7c-ad74-9e906b555a5b'::uuid, 'Jeremiah Stephens', 'jeremiahstephens@hotmail.com', 'Teresa Chambers', 'teresachambers@hotmail.com', 'Math', 29),
(915, 'd2aa8700-e7c0-4a7c-ad74-9e906b555a5b'::uuid, 'Jeremiah Stephens', 'jeremiahstephens@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 63),
(916, '00ad164a-aac8-440b-aef9-bdd64aa1e4b0'::uuid, 'Mark Anderson', 'markanderson@yahoo.com', 'Teresa Chambers', 'teresachambers@gmail.com', 'Physics', 83),
(917, '00ad164a-aac8-440b-aef9-bdd64aa1e4b0'::uuid, 'Mark Anderson', 'markanderson@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 91),
(918, '00ad164a-aac8-440b-aef9-bdd64aa1e4b0'::uuid, 'Mark Anderson', 'markanderson@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 99),
(919, '00ad164a-aac8-440b-aef9-bdd64aa1e4b0'::uuid, 'Mark Anderson', 'markanderson@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 59),
(920, '00ad164a-aac8-440b-aef9-bdd64aa1e4b0'::uuid, 'Mark Anderson', 'markanderson@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 45),
(921, 'bb67b030-950a-4289-9780-419c0581ddf2'::uuid, 'Amy Gamble', 'amygamble@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Chemistry', 25),
(922, 'bb67b030-950a-4289-9780-419c0581ddf2'::uuid, 'Amy Gamble', 'amygamble@yahoo.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 98),
(923, 'bb67b030-950a-4289-9780-419c0581ddf2'::uuid, 'Amy Gamble', 'amygamble@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 27),
(924, 'bb67b030-950a-4289-9780-419c0581ddf2'::uuid, 'Amy Gamble', 'amygamble@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 78),
(925, 'bb67b030-950a-4289-9780-419c0581ddf2'::uuid, 'Amy Gamble', 'amygamble@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 74),
(926, 'de88f494-5329-4bf0-93e2-e20fcff108fd'::uuid, 'Jordan Owens', 'jordanowens@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 28),
(927, 'de88f494-5329-4bf0-93e2-e20fcff108fd'::uuid, 'Jordan Owens', 'jordanowens@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 75),
(928, 'de88f494-5329-4bf0-93e2-e20fcff108fd'::uuid, 'Jordan Owens', 'jordanowens@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 78),
(929, 'de88f494-5329-4bf0-93e2-e20fcff108fd'::uuid, 'Jordan Owens', 'jordanowens@gmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 87),
(930, 'de88f494-5329-4bf0-93e2-e20fcff108fd'::uuid, 'Jordan Owens', 'jordanowens@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 33),
(931, 'aa7bac6b-d5cf-44ad-9da9-2a53f1bcf38f'::uuid, 'David Osborne', 'davidosborne@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 32),
(932, 'aa7bac6b-d5cf-44ad-9da9-2a53f1bcf38f'::uuid, 'David Osborne', 'davidosborne@gmail.com', 'Grant Mcdonald', 'grantmcdonald@hotmail.com', 'Reading', 75),
(933, 'aa7bac6b-d5cf-44ad-9da9-2a53f1bcf38f'::uuid, 'David Osborne', 'davidosborne@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 47),
(934, 'aa7bac6b-d5cf-44ad-9da9-2a53f1bcf38f'::uuid, 'David Osborne', 'davidosborne@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 72),
(935, 'aa7bac6b-d5cf-44ad-9da9-2a53f1bcf38f'::uuid, 'David Osborne', 'davidosborne@gmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 43),
(936, '71f7378c-72d9-4c1f-bf8d-c7494b00fbb3'::uuid, 'Meagan Williams', 'meaganwilliams@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 67),
(937, '71f7378c-72d9-4c1f-bf8d-c7494b00fbb3'::uuid, 'Meagan Williams', 'meaganwilliams@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 36),
(938, '71f7378c-72d9-4c1f-bf8d-c7494b00fbb3'::uuid, 'Meagan Williams', 'meaganwilliams@yahoo.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Writing', 36),
(939, '71f7378c-72d9-4c1f-bf8d-c7494b00fbb3'::uuid, 'Meagan Williams', 'meaganwilliams@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Math', 94),
(940, '71f7378c-72d9-4c1f-bf8d-c7494b00fbb3'::uuid, 'Meagan Williams', 'meaganwilliams@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 36),
(941, 'cf8ae628-7b53-4471-8138-c74e45cbbb0b'::uuid, 'Zachary Wright', 'zacharywright@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 84),
(942, 'cf8ae628-7b53-4471-8138-c74e45cbbb0b'::uuid, 'Zachary Wright', 'zacharywright@yahoo.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 98),
(943, 'cf8ae628-7b53-4471-8138-c74e45cbbb0b'::uuid, 'Zachary Wright', 'zacharywright@yahoo.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 66),
(944, 'cf8ae628-7b53-4471-8138-c74e45cbbb0b'::uuid, 'Zachary Wright', 'zacharywright@yahoo.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Music', 34),
(945, 'cf8ae628-7b53-4471-8138-c74e45cbbb0b'::uuid, 'Zachary Wright', 'zacharywright@yahoo.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 92),
(946, 'a1302868-eef8-4ea0-9a09-0f9668da33cd'::uuid, 'Kendra Price', 'kendraprice@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 72),
(947, 'a1302868-eef8-4ea0-9a09-0f9668da33cd'::uuid, 'Kendra Price', 'kendraprice@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 91),
(948, 'a1302868-eef8-4ea0-9a09-0f9668da33cd'::uuid, 'Kendra Price', 'kendraprice@gmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 49),
(949, 'a1302868-eef8-4ea0-9a09-0f9668da33cd'::uuid, 'Kendra Price', 'kendraprice@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'P.E.', 37),
(950, 'a1302868-eef8-4ea0-9a09-0f9668da33cd'::uuid, 'Kendra Price', 'kendraprice@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 92),
(951, 'd796589c-f4fa-4f82-bd7a-dceaf57a331e'::uuid, 'Maxwell Blackburn', 'maxwellblackburn@hotmail.com', 'Joseph Hill', 'josephhill@gmail.com', 'Biology', 27),
(952, 'd796589c-f4fa-4f82-bd7a-dceaf57a331e'::uuid, 'Maxwell Blackburn', 'maxwellblackburn@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 91),
(953, 'd796589c-f4fa-4f82-bd7a-dceaf57a331e'::uuid, 'Maxwell Blackburn', 'maxwellblackburn@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 96),
(954, 'd796589c-f4fa-4f82-bd7a-dceaf57a331e'::uuid, 'Maxwell Blackburn', 'maxwellblackburn@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Chemistry', 87),
(955, 'd796589c-f4fa-4f82-bd7a-dceaf57a331e'::uuid, 'Maxwell Blackburn', 'maxwellblackburn@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 43),
(956, 'eda74af3-7804-4ecf-a94a-4b5cfd76c0d3'::uuid, 'Bruce Patel', 'brucepatel@yahoo.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 64),
(957, 'eda74af3-7804-4ecf-a94a-4b5cfd76c0d3'::uuid, 'Bruce Patel', 'brucepatel@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 46),
(958, 'eda74af3-7804-4ecf-a94a-4b5cfd76c0d3'::uuid, 'Bruce Patel', 'brucepatel@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 100),
(959, 'eda74af3-7804-4ecf-a94a-4b5cfd76c0d3'::uuid, 'Bruce Patel', 'brucepatel@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 78),
(960, 'eda74af3-7804-4ecf-a94a-4b5cfd76c0d3'::uuid, 'Bruce Patel', 'brucepatel@yahoo.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Art', 70),
(961, '9b92b831-d150-4451-a52a-70c0948d06eb'::uuid, 'Ariel Holloway', 'arielholloway@hotmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 75),
(962, '9b92b831-d150-4451-a52a-70c0948d06eb'::uuid, 'Ariel Holloway', 'arielholloway@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 64),
(963, '9b92b831-d150-4451-a52a-70c0948d06eb'::uuid, 'Ariel Holloway', 'arielholloway@hotmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 36),
(964, '9b92b831-d150-4451-a52a-70c0948d06eb'::uuid, 'Ariel Holloway', 'arielholloway@hotmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 70),
(965, '9b92b831-d150-4451-a52a-70c0948d06eb'::uuid, 'Ariel Holloway', 'arielholloway@yahoo.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 72),
(966, 'd8b1f12f-6673-41d7-b797-a370122b8c98'::uuid, 'Dale Wilkinson', 'dalewilkinson@hotmail.com', 'Anna Cortez', 'annacortez@yahoo.com', 'Reading', 88),
(967, 'd8b1f12f-6673-41d7-b797-a370122b8c98'::uuid, 'Dale Wilkinson', 'dalewilkinson@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Biology', 69),
(968, 'd8b1f12f-6673-41d7-b797-a370122b8c98'::uuid, 'Dale Wilkinson', 'dalewilkinson@hotmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Biology', 71),
(969, 'd8b1f12f-6673-41d7-b797-a370122b8c98'::uuid, 'Dale Wilkinson', 'dalewilkinson@hotmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 47),
(970, 'd8b1f12f-6673-41d7-b797-a370122b8c98'::uuid, 'Dale Wilkinson', 'dalewilkinson@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 54),
(971, 'df7fd260-ad10-420d-a908-1e3332e7f88c'::uuid, 'Zachary Serrano', 'zacharyserrano@yahoo.com', 'Julie Garza', 'juliegarza@yahoo.com', 'Physics', 74),
(972, 'df7fd260-ad10-420d-a908-1e3332e7f88c'::uuid, 'Zachary Serrano', 'zacharyserrano@yahoo.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 29),
(973, 'df7fd260-ad10-420d-a908-1e3332e7f88c'::uuid, 'Zachary Serrano', 'zacharyserrano@yahoo.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'P.E.', 85),
(974, 'df7fd260-ad10-420d-a908-1e3332e7f88c'::uuid, 'Zachary Serrano', 'zacharyserrano@hotmail.com', 'Danny Davis', 'dannydavis@hotmail.com', 'Writing', 78),
(975, 'df7fd260-ad10-420d-a908-1e3332e7f88c'::uuid, 'Zachary Serrano', 'zacharyserrano@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Writing', 68),
(976, '062bbc9b-8178-4cc0-952d-b49cfe16b750'::uuid, 'Holly Larson', 'hollylarson@gmail.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Music', 43),
(977, '062bbc9b-8178-4cc0-952d-b49cfe16b750'::uuid, 'Holly Larson', 'hollylarson@yahoo.com', 'Jennifer Anderson', 'jenniferanderson@yahoo.com', 'Art', 52),
(978, '062bbc9b-8178-4cc0-952d-b49cfe16b750'::uuid, 'Holly Larson', 'hollylarson@yahoo.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Music', 60),
(979, '062bbc9b-8178-4cc0-952d-b49cfe16b750'::uuid, 'Holly Larson', 'hollylarson@yahoo.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 74),
(980, '062bbc9b-8178-4cc0-952d-b49cfe16b750'::uuid, 'Holly Larson', 'hollylarson@yahoo.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 79),
(981, 'f06ed91e-e54e-4cfb-944d-bf022d62dfba'::uuid, 'Christy Cox', 'christycox@gmail.com', 'Jason Aguilar', 'jasonaguilar@gmail.com', 'Chemistry', 92),
(982, 'f06ed91e-e54e-4cfb-944d-bf022d62dfba'::uuid, 'Christy Cox', 'christycox@gmail.com', 'Grant Mcdonald', 'grantmcdonald@gmail.com', 'Writing', 70),
(983, 'f06ed91e-e54e-4cfb-944d-bf022d62dfba'::uuid, 'Christy Cox', 'christycox@gmail.com', 'Jean Hayes DVM', 'jeanhayesdvm@hotmail.com', 'History', 34),
(984, 'f06ed91e-e54e-4cfb-944d-bf022d62dfba'::uuid, 'Christy Cox', 'christycox@gmail.com', 'Krista Ramirez', 'kristaramirez@yahoo.com', 'History', 59),
(985, 'f06ed91e-e54e-4cfb-944d-bf022d62dfba'::uuid, 'Christy Cox', 'christycox@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 63),
(986, 'ab90422e-2f4d-4b62-9d4d-c25a0530f988'::uuid, 'Sarah Woodard', 'sarahwoodard@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'History', 55),
(987, 'ab90422e-2f4d-4b62-9d4d-c25a0530f988'::uuid, 'Sarah Woodard', 'sarahwoodard@gmail.com', 'Stephanie Ross', 'stephanieross@yahoo.com', 'Music', 25),
(988, 'ab90422e-2f4d-4b62-9d4d-c25a0530f988'::uuid, 'Sarah Woodard', 'sarahwoodard@gmail.com', 'James Jones', 'jamesjones@gmail.com', 'Math', 89),
(989, 'ab90422e-2f4d-4b62-9d4d-c25a0530f988'::uuid, 'Sarah Woodard', 'sarahwoodard@gmail.com', 'Brett Bennett', 'brettbennett@gmail.com', 'Reading', 69),
(990, 'ab90422e-2f4d-4b62-9d4d-c25a0530f988'::uuid, 'Sarah Woodard', 'sarahwoodard@gmail.com', 'Deanna Juarez', 'deannajuarez@hotmail.com', 'Chemistry', 71),
(991, '91556953-2cfd-459d-a7ce-777983c6963d'::uuid, 'Brittany Jacobs', 'brittanyjacobs@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 72),
(992, '91556953-2cfd-459d-a7ce-777983c6963d'::uuid, 'Brittany Jacobs', 'brittanyjacobs@hotmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 68),
(993, '91556953-2cfd-459d-a7ce-777983c6963d'::uuid, 'Brittany Jacobs', 'brittanyjacobs@hotmail.com', 'James Jones', 'jamesjones@gmail.com', 'Physics', 52),
(994, '91556953-2cfd-459d-a7ce-777983c6963d'::uuid, 'Brittany Jacobs', 'brittanyjacobs@hotmail.com', 'Amber Hudson', 'amberhudson@hotmail.com', 'Art', 64),
(995, '91556953-2cfd-459d-a7ce-777983c6963d'::uuid, 'Brittany Jacobs', 'brittanyjacobs@hotmail.com', 'Whitney Figueroa', 'whitneyfigueroa@gmail.com', 'Physics', 67),
(996, '751a2130-0254-408a-8885-2ac4b6473ee3'::uuid, 'Carlos Kennedy', 'carloskennedy@gmail.com', 'Danny Davis', 'dannydavis@yahoo.com', 'Reading', 89),
(997, '751a2130-0254-408a-8885-2ac4b6473ee3'::uuid, 'Carlos Kennedy', 'carloskennedy@gmail.com', 'Michael Harding', 'michaelharding@yahoo.com', 'Art', 27),
(998, '751a2130-0254-408a-8885-2ac4b6473ee3'::uuid, 'Carlos Kennedy', 'carloskennedy@gmail.com', 'Brooke Bowen', 'brookebowen@yahoo.com', 'P.E.', 83),
(999, '751a2130-0254-408a-8885-2ac4b6473ee3'::uuid, 'Carlos Kennedy', 'carloskennedy@gmail.com', 'Barbara Riley', 'barbarariley@hotmail.com', 'Biology', 83),
(1000, '751a2130-0254-408a-8885-2ac4b6473ee3'::uuid, 'Carlos Kennedy', 'carloskennedy@gmail.com', 'James Mccarthy', 'jamesmccarthy@yahoo.com', 'History', 80);

SELECT pg_catalog.setval('"Roster_id_seq"', 1000, true);

ALTER TABLE ONLY "Roster"
    ADD CONSTRAINT "Roster_pkey" PRIMARY KEY (id);
